commit 18ae27fbce47609cd1a7db80b8ffe4276512a1a6
Merge: 2b42013 1ba3107
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Fri Aug 21 23:05:10 2015 +0200

    Merge pull request #270 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Tediousness overdrive" SP2
    
    * Datapixx on Octave OSX fixes.
    * PsychHID robustness improvements in HID device enumeration for OSX.

commit 1ba3107b0a78c42e80db000e0c4444193af206a7
Merge: 39802af 4e33d6e
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Fri Aug 21 23:00:59 2015 +0200

    Merge pull request #269 from kleinerm/master
    
    PTB BETA RELEASE "Tediousness overdrive" SP2
    
    * Datapixx on Octave OSX fixes.
    * PsychHID robustness improvements in HID device enumeration for OSX.

commit e37853551f0ec7289b26735644479ed98c999330
Merge: 59d71e1 2b42013
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Thu Aug 13 07:23:29 2015 +0200

    Merge pull request #64 from Psychtoolbox-3/beta
    
    Resync with public beta.

commit 2b4201347a9f8c87d3ab78241bbe96c4d6e3c442
Merge: 067072d 39802af
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Thu Aug 13 07:21:09 2015 +0200

    Merge pull request #268 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Tediousness overdrive" SP1
    
    * AutoBrightness fix from Denis.
    * QuestUpdate improvement from Denis.
    * DrawFormattedText fix.
    * Some fixes for text drawing provided or suggested by Diederick.
    * Fixes and improvements to color handling routines by David.
    * Drop Octave 3.8.1 support for OSX HomeBrew, add 3.8.2_2 support instead.
    * Some new tests and other minor improvements, e.g., to demos.

commit 39802afa612afd0b3a166d209b33d987bf17a053
Merge: 43c04c2 59d71e1
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Thu Aug 13 07:18:29 2015 +0200

    Merge pull request #267 from kleinerm/master
    
    PTB BETA RELEASE "Tediousness overdrive" SP1
    
    * AutoBrightness fix from Denis.
    * QuestUpdate improvement from Denis.
    * DrawFormattedText fix.
    * Some fixes for text drawing provided or suggested by Diederick.
    * Drop Octave 3.8.1 support for OSX HomeBrew, add 3.8.2_2 support instead.
    * Some new tests and other minor improvements, e.g., to demos.

commit f8c198be8414f52d3d6d4436afe2e2d43f571d26
Merge: f925bf9 e8ca9b1
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Thu Aug 13 03:55:37 2015 +0200

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit e8ca9b1f8dbbfe5dd1dc297eedaff9fd3d222fe9
Merge: cae342d 85a0cee
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Tue Aug 11 20:43:13 2015 +0200

    Merge pull request #63 from crsltd-opensource/master
    
    Signed PsychtoolboxKernelDriver64Bit.kext for OS X
    
    Signing service kindly provided by CRS-Ltd. Thank you!

commit bfcc6d918e2c4d080dc408974e54abfbb1863cec
Merge: c57138f fd0072b
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Jul 29 23:36:33 2015 +0200

    Merge pull request #262 from kleinerm/master
    
    Remove Pull of Diedericks rect enhancements and fixes from official master.

commit 6b27b22a0bf77be7ced4fde7e432c1ca12d511b7
Merge: 6d8d818 c57138f
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Tue Jul 28 15:49:43 2015 +0200

    Merge pull request #62 from Psychtoolbox-3/master
    
    Pull Diedericks rect enhancements and fixes from official master.

commit c57138f15256bdd52feda55ab6ddafc9221d2b7b
Merge: 005cce2 146c2b6
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Tue Jul 28 15:47:32 2015 +0200

    Merge pull request #259 from dcnieho/small_fixups
    
    Small fixups

commit 005cce2cbf167ee74d22fb618a7bdd03b8412cb2
Merge: daad0a4 d270c19
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Tue Jul 28 15:46:28 2015 +0200

    Merge pull request #260 from dcnieho/rect_enhancement
    
    Rect enhancement

commit d81fdec301845ec1aac220117a0ebeec6225c809
Merge: 6bf83d7 daad0a4
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Jul 25 08:06:09 2015 +0200

    Merge pull request #61 from Psychtoolbox-3/master
    
    Merge pull request #257 from kleinerm/master
    Resync with beta.

commit 067072dfa37dccfaab6dd3f619058c5e4e3b72c5
Merge: 322383e daad0a4
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Jul 25 07:58:21 2015 +0200

    Merge pull request #258 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Tediousness overdrive"
    
              KbWait: Fix treatment of empty forWhat argument.
              Screen: Fix PTB-2 emulation mode a bit.
              Screen/Linux: Dis/Enable DPMS while onscreen windows are open.
              Screen/Linux: Detect use of DRI3/Present.
              Screen/OSX: Fix color handling of OS X native text renderer.
              Improve help text of GetGamepad/Keyboard/KeypadIndices
              Add Screen('DrawText') color precision test case to HighColorPrecisionDrawingTest.
              DrawFormattedText: Improve bounding box precision for single-line case.
              DaqAInScan: Make it potentially a bit faster for USB 1608-FS.
              Screen/OSX: Remove hybrid graphics workaround for MBP 2010
              DaqALoadQueue: More fixes for Octave compatibility and basic sanity.
              Screen/Linux: Use old-style override_redirect on  multi-x-screen KDE.
              Screen/Linux/X11: Prevent crash at Screen reload on multi-x-screen with buggy Mesa.
              Screen/Linux/X11: Restrict workaround for Mesa mapi bug to Mesa < 10.5.2
              White-list Mesa versions >= 10.5.9 and >= 10.6.2 for XCloseDisplay()
              NetStation: Improve and consolidate various improvements. - Gergely Csibra
              Screen: Add new optional 'ignoreErrors' flag to 'LoadNormalizedGammaTable'
              Screen: Make FTGL plugin the default text renderer on OSX.
              BasicSoundScheduleDemo: Remove redundant 'RunMode' 1 assignment.
              Screen/OSX: Try to make modesetting Retina compatible.
              VideoCaptureDemo, VideoDelayLoopMiniDemo: Use default ROI by default.
              Snd(): Some fixes for corner use case.
              PsychVideoDelayLoop: Cleanup textures at end of each session.
              Update "help DrawTextPlugin" for new default FTGL renderer on OSX.
              Screen: Improve Screen('Close', window);
              Screen/OSX: Fix cursor movement lag after SetMouse()
              Screen/OSX: Return OS reported mouse delta movement in GetMouse() valuators.
              Screen: Add 'detachFromMouse' support to SetMouse().
              Screen: Fix CopyWindow to use windows clientRect instead of rect for Retina/HiDPI compatibility
              Screen/OSX: Fix hostname display in Screen('Computer')
              DrawFormattedText: Remove 250 chars linebreak on OSX. - Diederick Niehorster
              Screen: CopyWindow update help text.
              Screen/Linux: Make ext_buffer_age warning less chatty.
              Speak: Fix use with apostrophes in text string. - elladawu
              ImageUndistortionDemo: Minor improvements.
              ImagingVideoCaptureDemo: Add a (disabled) test line for CSV geometrycorrection.
              CreateDisplayWarp: Bug fix and enhancement for CSV method.
              New prototype quality display correction method: DisplayUndistortionLabRiggerMouseStim.m
              PsychImaging: Update help text for task 'UseRetinaResolution'
              Update and extend conversions between degrees and mm of retina - David Brainard.

commit daad0a4d8c1f86129d769c96f10563f084988adf
Merge: a6b02f1 6bf83d7
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Jul 25 07:48:38 2015 +0200

    Merge pull request #257 from kleinerm/master
    
    PTB BETA RELEASE "Tediousness overdrive"

commit cefde2a0412d8a85277cdfc934d36e80edf844c3
Merge: abab0f1 a6b02f1
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Jul 25 07:38:52 2015 +0200

    Merge pull request #60 from Psychtoolbox-3/master
    
    Resync with current master of official Psychtoolbox-3 repo.

commit a6b02f1c3d869fea22bb915856db829e4bd2803c
Merge: 0adf183 abab0f1
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Jul 25 07:17:54 2015 +0200

    Merge pull request #256 from kleinerm/master
    
    PTB BETA RELEASE "Tediousness overdrive"
    
          KbWait: Fix treatment of empty forWhat argument.
          Screen: Fix PTB-2 emulation mode a bit.
          Screen/Linux: Dis/Enable DPMS while onscreen windows are open.
          Screen/Linux: Detect use of DRI3/Present.
          Screen/OSX: Fix color handling of OS X native text renderer.
          Improve help text of GetGamepad/Keyboard/KeypadIndices
          Add Screen('DrawText') color precision test case to HighColorPrecisionDrawingTest.
          DrawFormattedText: Improve bounding box precision for single-line case.
          DaqAInScan: Make it potentially a bit faster for USB 1608-FS.
          Screen/OSX: Remove hybrid graphics workaround for MBP 2010
          DaqALoadQueue: More fixes for Octave compatibility and basic sanity.
          Screen/Linux: Use old-style override_redirect on  multi-x-screen KDE.
          Screen/Linux/X11: Prevent crash at Screen reload on multi-x-screen with buggy Mesa.
          Screen/Linux/X11: Restrict workaround for Mesa mapi bug to Mesa < 10.5.2
          White-list Mesa versions >= 10.5.9 and >= 10.6.2 for XCloseDisplay()
          NetStation: Improve and consolidate various improvements.
          Screen: Add new optional 'ignoreErrors' flag to 'LoadNormalizedGammaTable'
          Screen: Make FTGL plugin the default text renderer on OSX.
          BasicSoundScheduleDemo: Remove redundant 'RunMode' 1 assignment.
          Screen/OSX: Try to make modesetting Retina compatible.
          VideoCaptureDemo, VideoDelayLoopMiniDemo: Use default ROI by default.
          Snd(): Some fixes for corner use case.
          PsychVideoDelayLoop: Cleanup textures at end of each session.
          Update "help DrawTextPlugin" for new default FTGL renderer on OSX.
          Screen: Improve Screen('Close', window);
          Screen/OSX: Fix cursor movement lag after SetMouse()
          Screen/OSX: Return OS reported mouse delta movement in GetMouse() valuators.
          Screen: Add 'detachFromMouse' support to SetMouse().
          Screen: Fix CopyWindow to use windows clientRect instead of rect for Retina/HiDPI compatibility
          Screen/OSX: Fix hostname display in Screen('Computer')
          DrawFormattedText: Remove 250 chars linebreak on OSX.
          Screen: CopyWindow update help text.
          Screen/Linux: Make ext_buffer_age warning less chatty.
          Speak: Fix use with apostrophes in text string.
          ImageUndistortionDemo: Minor improvements.
          ImagingVideoCaptureDemo: Add a (disabled) test line for CSV geometrycorrection.
          CreateDisplayWarp: Bug fix and enhancement for CSV method.
          New prototype quality display correction method: DisplayUndistortionLabRiggerMouseStim.m
          PsychImaging: Update help text for task 'UseRetinaResolution'

commit de903fd6ecb9a55a4b2472c78916aa13b78c4cb6
Merge: c8ab92f 80a0367
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Jun 24 00:22:21 2015 +0200

    Merge remote-tracking branch 'origin/master'

commit 104f35492a97e3b2d6fd63f310fc59a618aae055
Merge: 2f8d142 80181d3
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Jun 14 18:57:07 2015 +0200

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit 322383e41971d933154c679b7e3f3b0b8cf65288
Merge: 447f3c7 80a0367
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Jun 6 22:53:19 2015 +0200

    Merge pull request #249 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Gifts for the gifted" Psychtoolbox-3.0.12 SP2
    
    Minor update, mostly for OSX Octave compatibility with latest HomeBrew Octave.
    
    * EyelinkQueuedDataDemo: Fix a warning.
    * Rename RandSample to PsychRandSample to avoid naming conflict with latest Matlabs.
    * OSXCompositorIdiocyTest: Make Retina display proof.
    * SetSensorColorSpace: Fix a warning.
    * ShowCursor recognizes new cursor type 'TextCursor' on all platforms. By Diederick Niehorster.
    * AutoBrightness function for OSX automatic brightness control. By Denis Pelli.
    * Mex files for 64-Bit Octave on OSX rebuilt to cope with latest HomeBrew versions of Octave 3.8.1/2

commit 80a03670fee3b5264cdf232740f3294f65dd0164
Merge: 0b0934c 1a585ef
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Jun 6 22:50:57 2015 +0200

    Merge pull request #248 from kleinerm/master
    
    PTB BETA RELEASE "Gifts for the gifted" Psychtoolbox-3.0.12 SP2
    
    Minor update, mostly for OSX Octave compatibility with latest HomeBrew Octave.
    
    * EyelinkQueuedDataDemo: Fix a warning.
    * Rename RandSample to PsychRandSample to avoid naming conflict with latest Matlabs.
    * OSXCompositorIdiocyTest: Make Retina display proof.
    * SetSensorColorSpace: Fix a warning.
    * ShowCursor recognizes new cursor type 'TextCursor' on all platforms. By Diederick Niehorster.
    * AutoBrightness function for OSX automatic brightness control. By Denis Pelli.
    * Mex files for 64-Bit Octave on OSX rebuilt to cope with latest HomeBrew versions of Octave 3.8.1/2

commit 00dc16744b0000d7e847a6705f801880aa4d20e0
Merge: a1644a0 6c73b34
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Tue Jun 2 21:23:17 2015 +0200

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit b328312df00c4dd1baf24101e2f6a7fca5dc00b8
Merge: f1792a9 682f569
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed May 27 21:03:43 2015 +0200

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3
    
    Pull Screen.mexw64 for Windows with new 'TextCursor' ShowCursor support.

commit 607f981dda0ed1094393154b9993d1e57df59adf
Merge: a3b196e 0b0934c
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed May 20 06:03:27 2015 +0200

    Merge pull request #59 from Psychtoolbox-3/master
    
    Get Diedericks IBeam cursor patches.

commit 0b0934c0838cc19603b792f256c74260311eddbb
Merge: 2b195f3 a2b97cb
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed May 20 06:01:56 2015 +0200

    Merge pull request #245 from dcnieho/master
    
    adding IBEAM cursor to selectable cursors in Windows

commit d4f49c4abcf0eea03f7be10875b8c487311cf9e3
Merge: 8dd5936 2b195f3
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Apr 19 08:46:07 2015 +0200

    Merge pull request #58 from Psychtoolbox-3/master
    
    Resync with current master of official Psychtoolbox-3 repo.

commit 447f3c78b56562d4a4b57ce2098721e2acbe1213
Merge: 95a7d56 2b195f3
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Apr 19 08:37:31 2015 +0200

    Merge pull request #244 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Gifts for the gifted" Psychtoolbox-3.0.12 SP1
    
    * SetMouse multi-screen improvements for Windows. Allow positioning relative to screen origin.
    * CMUBox doc updates for Windows.
    * KbQueue fixes for OSX. Avoid hang in KbQueueRelease on some setups.
    * PsychPortAudio improvement for Linux. Avoid selecting HDMI/DP as default sound card.
    * Handle Intel ddx dri2 triple-buffering on Linux.
    * General improvements to timing checks.
    * Documentation updates.
    * Fixes and refinement to demos.
    * New function CenterRectArrayOnPoint() contributed by Natalia.
    * QuestQuantile() improvements by Denis Pelli.
    * Improvements for efficiency of clut updates and of error handling on VPixx devices.

commit 2b195f38fb336a30ef8d8dc771a2ba525933c273
Merge: 57120af 8dd5936
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Apr 19 08:29:37 2015 +0200

    Merge pull request #243 from kleinerm/master
    
    Pull for small 3.0.12 beta update.
    
    * SetMouse multi-screen improvements for Windows.
    * CMUBox doc updates for Windows.
    * KbQueue fixes for OSX.
    * PsychPortAudio improvement for Linux.
    * Handle Intel ddx dri2 triple-buffering on Linux.
    * General improvements to timing checks.
    * Documentation updates.
    * Fixes and refinement to demos.

commit 19d6a053cfc35796544e10a88ecb01a578da66e4
Merge: 3ad0342 a8dea64
Author: David Brainard <brainard@psych.upenn.edu>
Date:   Sun Apr 12 10:06:33 2015 -0400

    Merge branch 'master' of https://github.com/Psychtoolbox-3/Psychtoolbox-3

commit a8dea64275489e33b6c480e48c3ecd3cb4412e91
Merge: 19bb496 5e3e696
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Mar 22 19:32:56 2015 +0100

    Merge pull request #241 from wuschLOR/master
    
    updated the instructions from xf86 to xserver for the gamepad.m

commit a0237a3bf2ca585dc76374882f75be129cd1e440
Merge: 4f1d4c7 19bb496
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Mon Mar 16 08:56:05 2015 +0100

    Merge pull request #57 from Psychtoolbox-3/master
    
    Merge pull request #239 from kleinerm/master
    
    Resync with PTB BETA "Gifts for the gifted" from 16-March-2015.
    
    Pull current state into public master for 3.0.12 release.
    
    * Experimental Wayland backend - disabled by default.
    * Videocapture improvements and initial enablement work for tracker plugins under GStreamer.
    * ProPixx fast mode initial support.
    * Cleanups and bug fixes.

commit 95a7d5693c12c2a6ca42ce86ae7a4aabb5d611ab
Merge: a2614d9 19bb496
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Mon Mar 16 08:53:48 2015 +0100

    Merge pull request #240 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Gifts for the gifted" Psychtoolbox-3.0.12
    
    * Experimental Wayland backend for Linux - disabled by default.
    * Many videocapture improvements, and initial enablement work for tracker plugins under GStreamer.
    * ProPixx fast mode initial support.
    * Many cleanups, small improvements and bug fixes.

commit 19bb496cb572fe35f58d942737d55f688861f804
Merge: 6ab6527 4f1d4c7
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Mon Mar 16 08:47:04 2015 +0100

    Merge pull request #239 from kleinerm/master
    
    Pull current state into public master for 3.0.12 release.
    
    * Experimental Wayland backend - disabled by default.
    * Videocapture improvements and initial enablement work for tracker plugins under GStreamer.
    * ProPixx fast mode initial support.
    * Cleanups and bug fixes.

commit c8ab92fde61f32a9a330c8d293fb3b5fddc9bfc2
Merge: dadfa92 76a6eae
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Mar 14 11:19:08 2015 +0100

    Merge branch 'LoadOBJFileFixes' of https://github.com/kleinerm/Psychtoolbox-3

commit 412c117077816803f4d953c0eb604f14acd1b9bb
Merge: b1c331c abf05f2
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Thu Feb 26 16:32:35 2015 +0100

    Merge pull request #56 from jonaskn/master
    
    Add option to VBLSyncTest to select the screen number and to correct  for the clock skew between a DataPixx device and the computer (use option usedpixx=2)
    
    Looks ok. I'll test it at some point when i'm with my Datapixx.

commit c06861f9063baf9d5cab965c2e3980165d494daf
Merge: 1348594 6ab6527
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Tue Feb 3 19:27:46 2015 +0100

    Merge pull request #54 from Psychtoolbox-3/master
    
    Resync with current master of official Psychtoolbox-3 repo.

commit bccee708aabf25f0dd1be7e1ac906f7339be2d8c
Merge: ad1f548 85daadb
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Thu Jan 29 11:41:23 2015 +0100

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit d1b4335da009f615ad71c9784f10a05357e0d39c
Merge: c2340f2 2d4c33a
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Jan 25 21:05:00 2015 +0100

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3
    
    -> PsychHID for OSX resync/merge.

commit dadfa92cb005c34586f23c813d17c8c4cb436f6b
Merge: ea9028e d2a3379
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Jan 21 03:17:13 2015 +0100

    Merge pull request #230 from mermerico/master
    
    Made the non-fullscreen warning respect verbosity

commit a2614d99af98731c2acf40f68950673384f6a574
Merge: c6830de ea9028e
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Dec 28 07:09:24 2014 +0100

    Merge pull request #227 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Random acts of kindness" Psychtoolbox-3.0.12 - SP6
    
    Add a intel-ddx variant for XOrg 1.16 on x86_64 for Ubuntu 14.10. Again, a
    DRI2 only build with TripleBuffer off by default, so we can
    be certain this will do the right thing.
    
    This should settle us on Ubuntu 14.04 and 14.10 until Ubuntu upstream decides to make major changes like DRI3/Present + XOrg 1.16.3, which would make most of this totally redundant.

commit ea9028ec588ba58f29ada111fd4d728cfe827b94
Merge: 649f6a5 bbdf997
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Dec 28 07:06:04 2014 +0100

    Merge pull request #226 from kleinerm/master
    
    Pull for small beta update.
    A customized intel 2.99.917 ddx with DRI2 only and triplebuffer off for Xorg 1.16 64-Bit. (Ubuntu 14.10)

commit beaa5f1f2d1099e1508b0cb891f0a170c31f2a24
Merge: 0053b20 649f6a5
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Dec 24 05:39:24 2014 +0100

    Merge pull request #53 from Psychtoolbox-3/master
    
    Resync with current master of official Psychtoolbox-3 repo. v3.0.12-SP5

commit c6830de72dc3e080e48a64b0dc50472745686a52
Merge: ca23cd2 649f6a5
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Dec 24 04:37:30 2014 +0100

    Merge pull request #225 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Random acts of kindness" Psychtoolbox-3.0.12 - SP5
    
    * Improve KDE multi-display + single-x-screen operation on Linux.
    
    * Add support for high precision beampos timestamping for NVidia Maxwell gpu's (GeForce 750 Ti and later) on Linux (only needed for proprietary NVidia driver) and OSX.
    
    * Make compatible with DRI3/Present with XOrg 1.16.3+ and Mesa 10.3+ on Linux.
    
    * Improve GStreamer video capture, make auto-detection/validation robust on analog video frame grabbers.
    
    * Improve dc1394 video capture engine for IIDC compliant USB-3 "USB-3 Vision" cameras. Timestamping fallback to get any at least approximate capture timestamps. Video recording fixes, performance fixes.
    
    * Ship our own custom graphics drivers for XOrg 1.15 (Ubuntu 14.04-LTS) for intel and nouveau:
     - nouveau 1.0.11 ddx to replace unsuitable 1.0.10 ddx of 14.04.
     - intel 2.99.917 ddx, dri2 only, with patch for fixed ZaphodHead support and triple buffering disable.
     - These as stop gaps until 14.04 hopefully gets a backported 14.10 stack with fixed DRI3, ie., XOrg 1.16.3+
    
    * New "show off" demo ImageMixingTutorial, and the much cleaner/simpler SimpleImageMixingDemo contributed by Natalia Zaretskaya.
    
    * Bug fix to MergeCell() by Diederick Niehorster.
    
    * Bug fix to SaveCalFile() by David Brainard.
    
    This release contains no rebuilt/improved mex files for MS-Windows, as none of the improvements benefits MS-Windows.

commit 649f6a5c639fa2b6c9008a3721174fab70973002
Merge: 00430fe 0053b20
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Dec 24 04:31:02 2014 +0100

    Merge pull request #224 from kleinerm/master
    
    Pull current state into public master for 3.0.12 release.
    
    * Improve KDE multi-display + single-x-screen operation on Linux.
    
    * Add support for high precision beampos timestamping for NVidia Maxwell gpu's (GeForce 750 Ti and later) on Linux (only needed for proprietary NVidia driver) and OSX.
    
    * Make compatible with DRI3/Present with XOrg 1.16.3+ and Mesa 10.3+ on Linux.
    
    * Improve GStreamer video capture, make auto-detection/validation robust on analog video frame grabbers.
    
    * Improve dc1394 video capture engine for IIDC compliant USB-3 "USB-3 Vision" cameras. Timestamping fallback to get any at least approximate capture timestamps. Video recording fixes, performance fixes.
    
    * Ship our own custom graphics drivers for XOrg 1.15 (Ubuntu 14.04-LTS) for intel and nouveau:
     - nouveau 1.0.11 ddx to replace unsuitable 1.0.10 ddx of 14.04.
     - intel 2.99.917 ddx, dri2 only, with patch for fixed ZaphodHead support and triple buffering disable.
     - These as stop gaps until 14.04 hopefully gets a backported 14.10 stack with fixed DRI3, ie., XOrg 1.16.3+
    
    * New demo ImageMixingTutorial and the much simpler SimpleImageMixingDemo contributed by Natalia.
    
    This release contains no rebuilt/improved mex files for MS-Windows, as none of the improvements benefits MS-Windows.

commit 72dd27f3ff88fa42b04df97872ad22c1b7aa3d6a
Merge: 3787a0e 2c3f2b6
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Dec 24 01:51:56 2014 +0100

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit 296142c1c20f7704e4f16a8cdbd0d39e7b1a47af
Merge: 8846e27 fe5b415
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Dec 20 00:33:56 2014 +0100

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit 8e421b8c438025924d82f117fff7d80f54370ea6
Merge: 2fb216a 901ec02
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Mon Dec 15 23:51:33 2014 +0100

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3
    
    Conflicts:
    	Psychtoolbox/PsychBasic/Octave3LinuxFiles64/Screen.mex

commit 00430fe9a3492b670d591c4253090e8aeea0d074
Merge: 0384034 67e4b5f
Author: Diederick C. Niehorster <dcnieho@gmail.com>
Date:   Sat Dec 13 16:59:06 2014 +0800

    Merge pull request #223 from dcnieho/MergeCell_patch
    
    MergeCell did not handle empty inputs as it should (ignoring/early exit)

commit ca23cd2ceac1a5fd861e5d3e8d065b5b522f62ff
Merge: 02afafb 05d4e2f
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Tue Nov 25 01:00:43 2014 +0100

    Merge pull request #222 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Random acts of kindness" Psychtoolbox-3.0.12 - SP4
    
    * New Gaussblob procedural shader.
    * New mini 4-channel mix shader.
    * Demo cleanups and refinements.
    * KbQueueReserve fix.
    * Some DRI3/Present prep work for Linux - not relevant yet, only included in Screen for 64-Bit Octave on Linux so far.

commit 05d4e2f1d3d4be4cd8f2e16e73c7147107d5f480
Merge: 0be792e aed88b3
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Tue Nov 25 00:57:40 2014 +0100

    Merge pull request #221 from kleinerm/master
    
    Pull for small beta update.
    
    * Gaussblob procedural shader.
    * Mini 4-channel mix shader.
    * Demo cleanups and refinements.
    * KbQueueReserve fix.
    * Some DRI3/Present prep work for Linux - not relevant yet.

commit 82d43fe04ad6acba14668d6c2e986435aaad65ef
Merge: d74adcc dfd4ac8
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Nov 19 17:52:18 2014 +0100

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit 02afafba222d833fa4186d25ee1ee58dbd778760
Merge: d1ae437 0be792e
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Nov 5 21:22:37 2014 +0100

    Merge pull request #219 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Random acts of kindness" Psychtoolbox-3.0.12 - SP3
    
    Like SP2, but now with rebuilt Screen() for Linux and Windows as well, just for consistency.

commit 0be792e0b466c79f0c964c69600a12baadd24c96
Merge: bc61154 6a68c1e
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Nov 5 21:20:45 2014 +0100

    Merge pull request #218 from kleinerm/master
    
    PTB BETA RELEASE "Random acts of kindness" Psychtoolbox-3.0.12 - SP3
    
    Get the Linux and Windows Screen mex file rebuilt as well.

commit f7b97c480823206fd1b7a416ca0348197babb5a0
Merge: 4773ad4 bc61154
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Nov 5 06:52:08 2014 +0100

    Merge pull request #51 from Psychtoolbox-3/master
    
    Resync with public PTB beta 5-Nov-2014 release.
    
    PTB BETA RELEASE "Random acts of kindness" Psychtoolbox-3.0.12 - SP2
    
        Switch to OSX 10.10 Yosemite - SDK, support status now 10.10 only.
        Fix compatibility with 10.10 SDK, replace deprecated functions like Gestalt.
        PanelFitter/RemapMouse: Now handle also rotation.
        Some demo cleanups.
        Support for Retina displays (aka HiDPI) for OSX.
    
    -> This is a "OSX only" update. No significant change to the other os'es.

commit d1ae4376494e52049270a0d178844e8701b6e2f1
Merge: e0827e6 bc61154
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Nov 5 06:38:21 2014 +0100

    Merge pull request #217 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Random acts of kindness" Psychtoolbox-3.0.12 - SP2
    
    * Switch to OSX 10.10 Yosemite - SDK, support status now 10.10 only.
    * Fix compatibility with 10.10 SDK, replace deprecated functions like Gestalt.
    * PanelFitter/RemapMouse: Now handle also rotation.
    * Some demo cleanups.
    * Support for Retina displays (aka HiDPI) for OSX.
    
    -> This is a "OSX almost only" update. No significant change to the other os'es.

commit bc611541c50ffca86a8c882f7fb06918f3c37bb8
Merge: 1d2358e 4773ad4
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Nov 5 06:35:23 2014 +0100

    Merge pull request #216 from kleinerm/master
    
    PTB BETA RELEASE "Random acts of kindness" Psychtoolbox-3.0.12 - SP2
    
    * Switch to OSX 10.10 Yosemite - SDK, support status now 10.10 only.
    * Fix compatibility with 10.10 SDK, replace deprecated functions like Gestalt.
    * PanelFitter/RemapMouse: Now handle also rotation.
    * Some demo cleanups.
    * Support for Retina displays (aka HiDPI) for OSX.
    
    -> This is a "OSX only" update. No significant change to the other os'es.

commit 8f6ec3efe4c1c004ea4e1f5075e804e1814ab040
Merge: 96b0665 1d2358e
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Oct 19 20:47:44 2014 +0200

    Merge pull request #50 from Psychtoolbox-3/master
    
    Resync with current master of official Psychtoolbox-3 repo.

commit e0827e6d9b33b6f97c76ddbe22b16aefc8a19811
Merge: 353baec 1d2358e
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Oct 19 20:46:26 2014 +0200

    Merge pull request #213 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Random acts of kindness" Psychtoolbox-3.0.12 - SP1
    
    * Blacklist 'iSight' and 'Apple IR Receiver' as default keyboard for Linux keyboard queues.
    * Allow configurable vtotal vs. vactive in Screen(), add setup code to loosen constraints for VPixx + Stereo.
    * Update some help texts.
    * Update PsychtoolboxRegistration to work with new registration server URL.
    * Fix timestamp overflow for sending events with NetStation() to EGI Netstation system.

commit 1d2358e2a441b29c323a12c12fab51e11b70b162
Merge: 356898a 96b0665
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Oct 19 20:43:27 2014 +0200

    Merge pull request #212 from kleinerm/master
    
    PTB BETA RELEASE "Random acts of kindness" Psychtoolbox-3.0.12 - SP1
    
    * Blacklist 'iSight' and 'Apple IR Receiver' as default keyboard for Linux keyboard queues.
    * Allow configurable vtotal vs. vactive in Screen(), add setup code to loosen constraints for VPixx + Stereo.
    * Update some help texts.
    * Update PsychtoolboxRegistration to work with new registration server URL.
    * Fix timestamp overflow for sending events with NetStation() to EGI Netstation system.

commit 624b4827200502ce3c12bddba55bb662fe76f966
Merge: e2d81b7 84e896f
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Tue Oct 14 03:35:48 2014 +0200

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit d3e00693f35a0d33a1e4d4dbd353552a20615a6d
Merge: eeffd0c 353baec
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Oct 5 19:42:16 2014 +0200

    Merge pull request #49 from Psychtoolbox-3/beta
    
    Resync with current beta of official Psychtoolbox-3 repo. Initial 3.0.12 release.
    Random acts of kindness.

commit 353baec96c70ed1161cedce4301d87ba738eb0f7
Merge: 8342112 f5d95c3
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Oct 5 19:38:33 2014 +0200

    Merge pull request #211 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Random acts of kindness" Psychtoolbox-3.0.12
    
    First PTB BETA of the new 3.0.12 series.
    
    Highlights:
    
    - GStreamer 1.0 as new multi-media backend.
    - libfreenect 0.5 as new PsychKinectCore Kinect backend.
    - Ubuntu 14.10 support. Tested with XOrg-1.16, Linux 3.16 and later on radeon, nouveau, intel.
    - Improved 10 bpc framebuffer support, new 11 bpc and 16 bpc fb support for AMD gpus.
    - Stereo crosstalk reduction support by Diederick.
    - Bazillion other new features and fixes i can't remember anymore.
    - Improved PsychHID for OSX: Handles multiple parallel kbqueues, maybe copes with MacbookAir 2013+
    - MOGL support updated to roughly OpenGL 4.5 (minus unsupportable extensions and omissions).
    - Tons of new workarounds for broken Apple operating systems, esp. OSX 10.8/10.9
    - Completely drop support for 32-Bit Matlab on all systems, and for OSX 10.7 and earlier.
    - Drop official support for Windows Vista and Windows-XP (still works, but no support for problems anymore)
    - Prep work for exciting new things to come.

commit f5d95c3ae5e515944afe3032ea19f54d53a509d2
Merge: a064690 eeffd0c
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Oct 5 19:33:18 2014 +0200

    Merge pull request #210 from kleinerm/master
    
    Pull current state into public master for 3.0.12 release.
    
    Highlights:
    
    - GStreamer 1.0 as new multi-media backend.
    - libfreenect 0.5 as new PsychKinectCore Kinect backend.
    - Ubuntu 14.10 support. Tested with XOrg-1.16, Linux 3.16 and later on radeon, nouveau, intel.
    - Improved 10 bpc framebuffer support, new 11 bpc and 16 bpc fb support for AMD gpus.
    - Stereo crosstalk reduction support by Diederick.
    - Bazillion other new features and fixes i can't remember anymore.
    - Improved PsychHID for OSX: Handles multiple parallel kbqueues, maybe copes with MacbookAir 2013+
    - MOGL support updated to roughly OpenGL 4.5 (minus unsupportable extensions and omissions).
    - Tons of new workarounds for broken Apple operating systems, esp. OSX 10.8/10.9
    - Completely drop support for 32-Bit Matlab on all systems, and for OSX 10.7 and earlier.
    - Drop official support for Windows Vista and Windows-XP (still works, but no support for problems anymore)
    - Prep work for exciting new things to come.

commit 87dbf2a83060b57946d76e84cfc5167e10573fa2
Merge: e58b0a9 36da077
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Oct 5 01:08:35 2014 +0200

    Merge branch 'OSXKbQueues'

commit d51f6442bf846c0db3932fb69ffa0a19245608f8
Merge: 9c2eebd 08dc84c
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Oct 1 04:41:44 2014 +0200

    Merge branch 'moglnext'

commit 58a4a4efd72b005c7e22a16ffbd47aa2060177e9
Merge: 166c673 13dfd6a
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Thu Sep 25 06:11:36 2014 +0200

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3
    
    Conflicts:
    	Psychtoolbox/PsychBasic/Octave3LinuxFiles/GetSecs.mex
    	Psychtoolbox/PsychBasic/Octave3LinuxFiles/IOPort.mex
    	Psychtoolbox/PsychBasic/Octave3LinuxFiles/PsychHID.mex
    	Psychtoolbox/PsychBasic/Octave3LinuxFiles/PsychKinectCore.mex
    	Psychtoolbox/PsychBasic/Octave3LinuxFiles/Screen.mex
    	Psychtoolbox/PsychBasic/Octave3LinuxFiles/WaitSecs.mex
    	Psychtoolbox/PsychBasic/Octave3LinuxFiles/moalcore.mex
    	Psychtoolbox/PsychBasic/Octave3LinuxFiles/moglcore.mex
    	Psychtoolbox/PsychBasic/Octave3LinuxFiles/pnet.mex

commit 002a2a41d91e9dbf8d63c8905a3684554eec3862
Merge: 51a150c faea1d9
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Sep 17 22:54:44 2014 +0200

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit d4d9d432c073e73a162e9ebabfc8c00c94070d9a
Merge: c6b1575 a064690
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Tue Sep 16 18:06:43 2014 +0200

    Merge pull request #48 from Psychtoolbox-3/master
    
    Pull current state into kleinerm master. Diedericks improvements.

commit a0646906f9677066d24e1e52317e4c0baa8adfcc
Merge: 3c58f93 86fc73f
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Tue Sep 16 18:05:16 2014 +0200

    Merge pull request #209 from dcnieho/stereoCrossTalk
    
    Stereo cross-talk reduction for frame-sequential stereo by Diederick.

commit 4e34e66566ddc993179464e5c656017cf5b124f0
Merge: ae217c8 aa2c9b8
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Sep 13 19:28:42 2014 +0200

    Merge pull request #47 from towolf/clean-codepage-spam
    
    Search and destroy evil codepage trash - Justice shall be served.

commit ef6a71c84b3af83abe20e80b0998837005840226
Merge: 1d2dfe4 615eed9
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Sep 7 22:23:28 2014 +0200

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit 2bd375e3a56bb88c4a4163c7941c857265201e7e
Merge: 978cf8f e247b94
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Aug 30 07:55:29 2014 +0200

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit 3c58f9349453fe5978fd0a1f7e4e925c0804e682
Merge: 1cac0ca 8fdaaa6
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Aug 30 02:52:52 2014 +0200

    Merge pull request #206 from dcnieho/docFixes
    
    Doc fixes

commit 07568e7a5b90cd4b5a8d7e8d9cec572d403f466d
Merge: 3e0d27f 1cac0ca
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Tue Aug 26 10:30:21 2014 +0200

    Merge pull request #46 from Psychtoolbox-3/master
    
    Resync with current master of official Psychtoolbox-3 repo.
    
    ShowCursor changes of Diederick.

commit 1cac0cad7119e552cd3e9c19c4625706781048d8
Merge: cdcec8b ac86fc5
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Tue Aug 26 10:27:45 2014 +0200

    Merge pull request #205 from dcnieho/showCursorSimplify
    
    Show cursor simplify

commit cdcec8bd064a3e728867ca38511d45881a428382
Merge: 47c30f9 9d2f0b6
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Aug 16 10:15:38 2014 +0200

    Merge pull request #204 from kleinerm/master
    
    Pull current state into public master.
    
    * Linux final nouveau-kms and msc fixes.
    * AMD MULLINS support for Linux and PTBKD.
    * Prototype implementation for stereo crosstalk reduction - just the support infrastructure.
    * PsychtoolboxVersion supports NeuroDebian.
    * Smallish cleanups.

commit 3ecc9ca1d96216c6063e56d996bc2360e2ddbf4a
Merge: 1705932 47c30f9
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Fri Aug 1 03:02:15 2014 +0200

    Merge pull request #45 from Psychtoolbox-3/master
    
    Resync with current master of official Psychtoolbox-3 repo.
    
    * Mostly undo octave-3.8 incompatible CalStruct OOP code.
    * Small other BrainardLab fixes.
    
    Note: Testing with octave-4.2 devel branch showed that the CalStruct OOP code would have mostly worked, ie., will work once 4.2 is released. One missing item was inputParser(), and then some smal stuff.

commit df6e89afc09462c8b01c2987e5ad28df4625868b
Merge: fd3f455 09f9331
Author: David Brainard <brainard@psych.upenn.edu>
Date:   Fri Jul 25 09:01:56 2014 -0400

    Merge branch 'master' of https://github.com/Psychtoolbox-3/Psychtoolbox-3

commit 09f9331463e02fb3a5d62acc6befe45ccb29a1ff
Merge: 2fd26f9 1705932
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Thu Jul 24 00:42:49 2014 +0200

    Merge pull request #202 from kleinerm/master
    
    ClutAnimDemo: Fix it for gpu's with other than 256-slot gamma tables.

commit 2fd26f9c93a5eb0dd454a097f158d9f43200d132
Merge: d37d880 c24dd67
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Tue Jul 22 17:34:55 2014 +0200

    Merge pull request #201 from Psychtoolbox-3/ptb3publicmaster
    
    Pull current state into public master.
    
    * Linux nouveau-kms pageflip timestamp workaround no longer needed, so made optional (off by default).
    * Screen('Computer') mac address robustness improvement on Linux.
    * Improvements to PsychImaging, SetAnaglyphStereoParameters, DrawFormattedText, etc.
    * BlurredMipMapDemo shader compatibility fixes.
    * Documentation updates.

commit c24dd67f71dc5496ce7c017df0f70cec7a9438bd
Merge: d37d880 fb0ffd0
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Tue Jul 22 17:13:08 2014 +0200

    Merge branch 'kleinerm-master' into ptb3publicmaster
    
    * Linux nouveau-kms pageflip timestamp workaround no longer needed, so made optional (off by default).
    
    * Screen('Computer') mac address robustness improvement on Linux.
    
    * Improvements to PsychImaging, SetAnaglyphStereoParameters, DrawFormattedText, etc.
    
    * BlurredMipMapDemo shader compatibility fixes.
    
    * Documentation updates.

commit 32c040b98042fb2cc446cfde99236cc534987aa4
Merge: c01562b bf0c661
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Jul 5 04:26:06 2014 +0200

    Merge pull request #199 from kleinerm/master
    
    Pull 10/11 bpc updates, fixes, ...
    
    * 10 bpc + new 11 bpc support.
    * DrawFormattedText left-/right justification.
    * nouveau-kms workaround limited to Linux 3.13 - 3.15
    * KDE: Use old-style override-redirect like on other DE's.
    * Code cleanup.
    * Improvements to timing test, color test scripts.
    * Fix some ColorCal demos a bit.

commit 2482b78f4480e801f23c83e855dc9cb37d6b1050
Merge: 6e33119 c01562b
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Mon Jun 23 00:36:54 2014 +0200

    Merge pull request #44 from Psychtoolbox-3/master
    
    Resync with current master of official Psychtoolbox-3 repo.
    
    Pull in David's new routines and OOP calibration stuff.

commit 183e28b746c1970a2bd431a360d67096cc4d1873
Merge: 67483be abdaaa6
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed May 21 03:13:03 2014 +0200

    Merge pull request #196 from kleinerm/master
    
    Pull current state into public master.
    
    Disables 32-Bit Matlab support in downloader/updater/etc.
    Resyncs with bugfixes for 3.0.11.

commit 25455f10abefc4c8afc92d3c2e5169f3c55a27f5
Merge: 79b9781 40dd163
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Apr 6 22:50:07 2014 +0200

    Merge pull request #43 from Psychtoolbox-3/master
    
    Merge pull request #192 from kleinerm/master
    
    Resync with "goto fail" public release.

commit 834211231ab1255653bfe037809a4a5ce6a1d8e5
Merge: 2981d50 40dd163
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Apr 6 22:11:28 2014 +0200

    Merge pull request #193 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Goto fail"
    
    Final release of the 3.0.11 series:
    
    * Eyelink bug fixes and improvements by SR-Research and mk.
    * Screen('Textfont') allows atomic setting of font family and and font style.
    * Fix Octave + PsychDataPixx compatibility for timestamping, cleanup VBLSyncTest.
    * 10 bpc framebuffer support for AMD DCE-4+ gpu's, aka Radeon HD-5000 and later.
    * 10 bpc / dithering fixes for AMD DCE-3 aka Radeon HD-4000 series.
    * Workarounds for nouveau-kms bugs in Linux 3.13/3.14 for upcoming Ubuntu 14.04 LTS release.
    * Workarounds for OSX 10.8 dual-display stereo graphics driver bugs and various 10.8/10.9 graphics bugs.
    * Ability to disable crashy CVDisplayLink timestamping on OSX.
    * OSXCompositorIdiocyTest to test for the latest hilarious OSX compositor bugs.
    * PsychImaging - add convenience setup function for dual-display stereo mode 10 - mostly for OSX.
    * PsychImaging - Improve 10 bpc framebuffer setup: Do not disable dithering on digital output by default, but leave decision to OS, with option to override.
    * Screen('ConfigureDisplay', 'Dithering') allow low-level control of AMD dither control registers.
    * Various help text updates.
    * Various updates to color calibration/color handling routines by David Brainard.
    * Misc other fixes.
    * PsychtoolboxKernelDriver updates. Different drivers for legacy 10.7 and earlier vs. 10.8+
    * OSX Psychtoolbox now requires Octave 3.8.0 or later.
    * Video recording/capture improvements for dc1394 engine and DV camera capture.

commit 40dd1632b8bd370c68b6d7289be13ec92d511aba
Merge: f0bd663 79b9781
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Apr 6 22:05:00 2014 +0200

    Merge pull request #192 from kleinerm/master
    
    Pull - I from kleinerm for PTB BETA RELEASE "Sex, Lies and Video" - Goto fail.
    
    Final release of the 3.0.11 series:
    * Eyelink bug fixes and improvements by SR-Research and mk.
    * Screen('Textfont') allows atomic setting of font family and and font style.
    * Fix Octave + PsychDataPixx compatibility for timestamping, cleanup VBLSyncTest.
    * 10 bpc framebuffer support for AMD DCE-4+ gpu's, aka Radeon HD-5000 and later.
    * 10 bpc / dithering fixes for AMD DCE-3 aka Radeon HD-4000 series.
    * Workarounds for nouveau-kms bugs in Linux 3.13/3.14 for upcoming Ubuntu 14.04 LTS release.
    * Workarounds for OSX 10.8 dual-display stereo graphics driver bugs and various 10.8/10.9 graphics bugs.
    * Ability to disable crashy CVDisplayLink timestamping on OSX.
    * OSXCompositorIdiocyTest to test for the latest hilarious OSX compositor bugs.
    * PsychImaging - add convenience setup function for dual-display stereo mode 10 - mostly for OSX.
    * PsychImaging - Improve 10 bpc framebuffer setup: Do not disable dithering on digital output by default, but leave decision to OS, with option to override.
    * Screen('ConfigureDisplay', 'Dithering') allow low-level control of AMD dither control registers.
    * Various help text updates.
    * Various updates to color calibration/color handling routines by David Brainard.
    * Misc other fixes.

commit 593eec0fd866c72cea7b9c63bbcb3877de25d7c6
Merge: c4a6798 f0bd663
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Apr 6 05:30:03 2014 +0200

    Merge pull request #42 from Psychtoolbox-3/master
    
    Resync with current master of official Psychtoolbox-3 repo.

commit 9e44ce1347633d671708d9416682c07590dcbe49
Merge: 6138f11 bea403c
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Apr 2 19:30:48 2014 +0200

    Merge pull request #185 from eyelink/master
    
    Bug fixes for Eyelinktoolbox by Li Jie of SR-Research:
    
    * Eyelink('command' …) crash if no space is given between % ( for example, %d/%d will crash)
    * Limit mouse cursor inside of camera image
    * Eyelink('ImageTransfer') image transfer crashed, due to unallocated memory.
    * 3 SR-Research Demos: fixes for case sensitivity, octave compatible and non integer arguments for Eyelink('command', …).

commit a46cc16ea21759db6bda93053527c29ece8823bb
Merge: 0710025 ccc8113
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Mar 8 18:04:26 2014 +0100

    Merge pull request #190 from kleinerm/master
    
    Pull - I from kleinerm for PTB BETA RELEASE "Sex, Lies and Video" SP1
    
    Make PsychtoolboxKernelDriver64Bit work on OSX 10.8 and 10.9 - hopefully. Only tested on 10. 9 so far.
    Revert legacy 64 bit driver to September 2013 state for use on 10.6 and 10.7.

commit 0710025efcd58507bc449bbf07ca20159c4ed389
Merge: 9590b07 25d79ef
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Thu Mar 6 08:26:56 2014 +0100

    Merge pull request #189 from kleinerm/master
    
    Pull - I from kleinerm for PTB BETA RELEASE "Sex, Lies and Video" SP1
    
    A pull with the work so far. Only Screen's for OSX are up to date.
    This mostly to pull in the 10 bpc framebuffer improvements and dithering fixes for AMD pre-HD-5000 GPUs.
    Also some robustness improvements for OSX 10.9 stimulus onset - none had any effect, actually.
    Marktertrackerplugin support on Linux + dc1394 engine.
    Octave 3.8 support on OSX, removal of < 3.8 support.
    Minor improvements and fixes here and there.

commit 9590b07717dc81b4d899c651370ce300fdb1f899
Merge: 6cb82bc 3e0e634
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Mon Feb 10 02:05:11 2014 +0100

    Merge pull request #186 from suchow/patch-1
    
    Rename function to match file name

commit a59199c1dcbbb7e32dbf53c17d4d33a5fcbb7609
Merge: a7f074d 8ab666f
Author: David Brainard <brainard@psych.upenn.edu>
Date:   Tue Jan 21 11:14:24 2014 -0500

    Merge branch 'master' of https://github.com/Psychtoolbox-3/Psychtoolbox-3

commit 7e6e40d4da4e7832f597b04689c5c6c31094a438
Merge: 7168966 8ab666f
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Dec 29 20:37:05 2013 -0800

    Merge pull request #41 from Psychtoolbox-3/master
    
    Resync with current master of official Psychtoolbox-3 repo.
    
    Resync with official PTB BETA "Sex, Lies and Video".

commit 2981d50aae499f99cfc61035b4b258e8962c9f84
Merge: d250fc0 8ab666f
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Dec 29 20:28:42 2013 -0800

    Merge pull request #184 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Sex, Lies and Video"
    
    * OSX 10.9 Mavericks compatibility fixes. E.g., for AppNap protection, visual timing fixes, other brokeness fixes.
    * Rewrite of OSX FontInfo and DrawText renderer for higher startup speed and compatibility and future proofing.
    * Add new supported GPU's from AMD.
    * Minor bug fixes for OSX, Windows, Linux, e.g., IOPort, Eyelink, PsychHID KbQueues.
    * General improvements to video capture and video recording, e.g., for DV cameras.
    * DC1394 based Firewire video recording support, high bit depths capture support, various other bells and whistles.
    * DC1394 based Firewire multi-camera synchronized video capture/recording.
    * Staircase procedure improvements by Diederick Niehorster.
    * PsychColorimetric routines improved by David Brainard.

commit 8ab666fee111fb740734c3dbaa07f459a34606f8
Merge: 3d23bb3 7168966
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Dec 29 20:20:36 2013 -0800

    Merge pull request #183 from kleinerm/master
    
    Pull from kleinerm for PTB BETA RELEASE "Sex, Lies and Video"
    
    * OSX 10.9 Mavericks compatibility fixes.
    * Rewrite of OSX FontInfo and DrawText renderer for higher startup speed and compatibility.
    * Minor bug fixes for OSX, Windows, Linux.
    * General improvements to video capture and video recording.
    * DC1394 based Firewire video recording support.
    * DC1394 based Firewire multi-camera synchronized video capture/recording.

commit 3d23bb38c11286d380577cba2e07e565bc49e4a4
Merge: 2121c05 9f5cc1d
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Dec 18 16:26:32 2013 -0800

    Merge pull request #182 from dcnieho/master
    
    Staircase update by Diederick:
    
    Some updates to staircase internals. Cleaner and faster.
    Also new API that is better (but default is the legacy API,
    so users won't notice this upgrade)

commit c346c467c1153b08f797c0c33f14362c128b9853
Merge: 62d9ce9 2121c05
Author: Diederick Niehorster <dcnieho@gmail.com>
Date:   Fri Dec 13 22:18:11 2013 +0800

    Merge branch 'upstream/master'

commit 8a3e188d02f257d35d43d42641799c21c7bf698f
Merge: 98559ac a2f326a
Author: David Brainard <brainard@psych.upenn.edu>
Date:   Thu Nov 14 19:34:51 2013 -0500

    Merge branch 'master' of https://github.com/Psychtoolbox-3/Psychtoolbox-3

commit a2f326af6b8503710619048346dea29a2ef94501
Merge: f23c142 211b90c
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Nov 13 04:14:13 2013 -0800

    Merge pull request #177 from dcnieho/master
    
    Fix version check error in Explode.m for Matlab 8.0 and later.

commit 62d9ce9191304694dba953d85a6f16afefc6b952
Merge: 75460cf f23c142
Author: Diederick Niehorster <dcnieho@gmail.com>
Date:   Sun Nov 10 17:20:43 2013 +0800

    Merge branch 'upstream/master'

commit 6e751a022ce492bd55066924d3954678559fc7e8
Merge: 639f4c7 e4face3
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Thu Nov 7 23:09:25 2013 +0100

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit 408b944efc0db3163a84ff247fb57c821a925f49
Merge: 99b8db2 f7567f6
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun Nov 3 02:56:57 2013 +0100

    Merge branch 'osxcoretext'
    
    This completely switches the OSX implementations of Screen and
    FontInfo from old and deprecated FontManager + ATSUI to the new
    and shiny CoreText Framework.
    
    This was neccessary due to switch from OSX 10.6 "Snow Leopard"
    SDK to OSX 10.9 "Mavericks" SDK to future-proof us here.
    
    This means that OSX 10.6 as a minimum supported version is now
    a hard requirement, as this code would not build on 10.5 and
    earlier anymore.
    
    Downsides of new implementation:
    
    * 'QuickDraw' font name is no longer reported by FontInfo().
    * Some font metrics are no longer reported by FontInfo().
    
    Upsides:
    
    * Future-Proof (until Apple does its next crappy move of course).
    * More exotic fonts like "Kuenstler Script LT" now work with default
      renderer.
    * Screen() startup time drastically shorter due to much faster font
      enumeration for Screen: 15 seconds to 0.13 seconds.

commit 8319b757547058f9805110a6678f5a3aaf046439
Merge: e3f5443 cfc6aea
Author: David Brainard <brainard@psych.upenn.edu>
Date:   Thu Oct 24 18:18:38 2013 -0400

    Merge branch 'master' of https://github.com/Psychtoolbox-3/Psychtoolbox-3

commit d250fc0cd3715fb75a18f40cfd31c27ea713e3b8
Merge: 37ea020 cfc6aea
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Oct 16 17:52:00 2013 -0700

    Merge pull request #175 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Hammertime!" SP4 - "Deadlock"
    
    * XLib threading fixes for regressions introduced into Linux PTB.
    * Make DaqDeviceIndex a bit more robust on OSX.
    * Make IsomerizationInEye/DishDemo work again on Octave and fix some bugs.
    * Reenable parts of PsychCV for 64-Bit Octave on Linux. (Experimental)

commit cfc6aea774b85c6eef73644261e0a10d2c817c2a
Merge: 5757dc0 338cadc
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Oct 16 17:50:17 2013 -0700

    Merge pull request #174 from kleinerm/master
    
    PTB BETA RELEASE "Hammertime!" SP4 - "Deadlock"
    
    * XLib threading fixes for regressions introduced into Linux PTB.
    * Make DaqDeviceIndex a bit more robust on OSX.
    * Make IsomerizationInEye/DishDemo work again on Octave and fix some bugs.
    * Reenable parts of PsychCV for 64-Bit Octave on Linux. (Experimental)

commit 37ea0207205768bb77514b5e895ad3b2666250af
Merge: bcb6e50 5757dc0
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Oct 2 19:29:49 2013 -0700

    Merge pull request #173 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Hammertime!" SP3 - "Flowerpower"
    
    * Fix Linux X11 display locking bugs which could cause deadlock in Screen('Resolutions'), and crashes for Screen('AsyncFlipBegin') async flips and framesequential stereo mode 11. These bugs could only affect the Mesa/Gallium FOSS graphics drivers, therefore slipped through the testing which was performed with the NVidia binary blob. Retesting on nouveau exposed the bugs.
    
    -> Our locking bugs should be fixed without degradation in performance.
    -> There are other bugs which can cause crashes at least with MultiWindowLockStepTest(n) for n > 1. These look like bugs in nouveau,
    -> This release was validated on the upcoming Ubuntu 13.10 "Saucy Salamander" 64-Bit Beta with nouveau.

commit 5757dc0daaab71578aed46d1ef85cd021b35a7c8
Merge: 7838ce5 f0ed6f9
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Oct 2 19:22:55 2013 -0700

    Merge pull request #172 from kleinerm/master
    
    Pull Linux display locking fixes.

commit c9ecb3efeb37830f2658d480fe0c51bda15bca57
Merge: d6ec24a 7838ce5
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Sep 29 22:37:59 2013 -0700

    Merge pull request #39 from Psychtoolbox-3/master
    
    Pull to resync with PTB 3.0.11 master for release "Hammertime - SP2 - FlowerPower"

commit bcb6e5020660546c1033d3f536e020fb33664946
Merge: 62542a2 7838ce5
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Sep 29 22:24:26 2013 -0700

    Merge pull request #171 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Hammertime!" SP2 - "Flowerpower"
    
    * Cool new SuperShapeDemo by Joana Leitao.
    * Display rotation support in PanelFitter, as shown by PanelFitterDemo.
    * Make 'DrawText' on Linux multi-x-screen capable and even faster than before.
    * Make BitsPlusImagingPipelineTest a little bit more lenient.
    * Improve display locking on Linux, and various micro-optimizations.
    * Remove beamposition timestamping support for Intel gpu's on OSX and Linux.
    * Small improvements to Daq toolbox and other stuff.
    * Disable mex files for OSX versions before 10.6 Snow Leopard.

commit 7838ce55b832fec4af8ba7c09d43662e7d6d4e91
Merge: 3c16d6a d6ec24a
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Sep 29 22:18:24 2013 -0700

    Merge pull request #170 from kleinerm/master
    
    PTB BETA RELEASE "Hammertime!" SP2 "Flowerpower"
    
    * Cool new SuperShapeDemo by Joana Leitao.
    * Display rotation support in PanelFitter, as shown by PanelFitterDemo.
    * Make 'DrawText' on Linux multi-x-screen capable and even faster than before.
    * Make BitsPlusImagingPipelineTest a little bit more lenient.
    * Improve display locking on Linux, and various micro-optimizations.
    * Remove beamposition timestamping support for Intel gpu's on OSX and Linux.
    * Small improvements to Daq toolbox and other stuff.
    * Disable mex files for OSX versions before 10.6 Snow Leopard.

commit 62542a2660793f05e767d7d613e434d534eb7704
Merge: b904bdd 6dd3a8a
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Sep 11 22:33:18 2013 -0700

    Merge pull request #168 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Hammertime!" SP1
    
    Stop! Hammertime! :-)

commit 6dd3a8a7fd9d3dde6ba361dde4930a79d60e6331
Merge: c652220 b4c99d3
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Sep 11 22:31:22 2013 -0700

    Merge pull request #167 from kleinerm/master
    
    Hammertime!

commit b904bdd94941578af53f142c51fa3d1637016e3e
Merge: 42a449f c652220
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Sep 11 20:38:38 2013 -0700

    Merge pull request #166 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Hammertime!"
    
    * PTB for 32-Bit Matlab on Windows now uses and requires the GStreamer SDK instead of OSSBuilds GStreamer.
    * Bugfix for GStreamer on Windows for special pixelformat >= 6.
    * Bugfix for Linux + PsychHID.
    * Bugfix for OSX crash at window close due to Apple CVDisplayLink bugs on Matlab R2013b.
    * OpenGL context sharing support between windowed and fullscreen windows on OSX.
    * Improved GUI window support.
    * Low-level support for latest AMD GPU's on Linux and with OSX PsychtoolboxKernelDriver.
    * WinTabMex support now also for 64-Bit Matlab on Windows.
    * And in PlayMoviesDemo's cool section: "Stop! Hammertime!"

commit c652220646dcfa82d5ff74054caa9b40324d5452
Merge: 7a7682c 4a8c29e
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Sep 11 20:35:05 2013 -0700

    Merge pull request #165 from kleinerm/master
    
    PTB BETA RELEASE "Hammertime!"
    
    * PTB for 32-Bit Matlab on Windows now uses and requires the GStreamer SDK instead of OSSBuilds GStreamer.
    * Bugfix for GStreamer on Windows for special pixelformat >= 6.
    * Bugfix for Linux + PsychHID.
    * Bugfix for OSX crash at window close due to Apple CVDisplayLink bugs on Matlab R2013b.
    * OpenGL context sharing support between windowed and fullscreen windows on OSX.
    * Improved GUI window support.
    * Low-level support for latest AMD GPU's on Linux and with OSX PsychtoolboxKernelDriver.
    * WinTabMex support now also for 64-Bit Matlab on Windows.
    * And in PlayMoviesDemo's cool section: "Stop! Hammertime!"

commit 4550bdc52475b849af2a1407513cbd5e6d33d7c1
Merge: 4fea8df 8cd2d49
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed Sep 11 03:21:38 2013 +0200

    Merge branch 'gstreamerwinexperiment'
    
    * Switch 32-Bit PTB on Windows from OSSBuilds GStreamer to
    GStreamer-SDK.
    * Compatibility fixes to allow build on Windows against MSCRT.dll.
    * Global locale + switching: backup->change->use->restore in 'DrawText'.
    * Bug fixes for OpenGL context protection with GStreamer-SDK on
    Windows, if clutter plugin support is available in the SDK installation.

commit c4693522403b8b2d9efda94fefe13f6c47520afc
Merge: 02b420a 7a7682c
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Fri Sep 6 19:21:08 2013 -0700

    Merge pull request #38 from Psychtoolbox-3/master
    
    Resync with current master of official Psychtoolbox-3 repo.
    For PTB BETA "Stadtmusikanten"

commit 42a449fe823274f85d5b2e9bad72e552ff144ec2
Merge: 97b833d 7a7682c
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Fri Sep 6 19:06:38 2013 -0700

    Merge pull request #163 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Stadtmusikanten"
    
    * ECVP2013 demos and tutorial slides PDF file added.
    * New function PsychDefaultSetup for normalized color range by default.
    * Some new demos, e.g., SimpleSoundScheduleDemo.
    * Minor fixes and improvements here and there.

commit 7a7682caf74313ef9789407004ec40bd3076787e
Merge: 201ea4d 02b420a
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Fri Sep 6 19:00:34 2013 -0700

    Merge pull request #162 from kleinerm/master
    
    Pull from kleinerm for PTB BETA RELEASE "Stadtmusikanten"
    
    * ECVP2013 demos and slides pdf
    * New function PsychDefaultSetup for normalized color range by default.
    * Some new demos, e.g., SimpleSoundScheduleDemo.
    * Minor fixes and improvements here and there.

commit ca88a9265e4a6339ba3355868f3b75f4f3e0d1f4
Merge: 60d2ac9 e44cff0
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Thu Sep 5 22:02:43 2013 +0200

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit 64f06d000784ec23f1845a65eff3c1666df3301f
Merge: 154a2ba ff28751
Author: David Brainard <brainard@psych.upenn.edu>
Date:   Wed Aug 14 09:23:24 2013 -0400

    Merge branch 'master' of https://github.com/Psychtoolbox-3/Psychtoolbox-3

commit 75460cfce9d8259b4b3fb5b3254541a40cfe4add
Merge: e5d46f9 871b203
Author: Diederick C. Niehorster <dcnieho@gmail.com>
Date:   Wed Jul 31 06:19:58 2013 -0700

    Merge pull request #2 from Psychtoolbox-3/master
    
    pull in latest beta

commit 871b203e04dd7ee29af751953673494774695f09
Merge: a22e3b4 ec744e0
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sun Jul 28 18:32:21 2013 -0700

    Merge pull request #160 from kleinerm/master
    
    Pull from kleinerm for PTB BETA RELEASE "Blue skies and empty brains" - SP3
    * GUI window mode fixes for OSX and MS-Windows.

commit fe41201ee22a5d76e480590f707ec117e7c3b633
Merge: e6e97a9 a22e3b4
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Jul 27 14:43:20 2013 -0700

    Merge pull request #37 from Psychtoolbox-3/master
    
    Resync with current master of official Psychtoolbox-3 repo.

commit 97b833db5f46129fc4f15180f342b0b5fa65f8f4
Merge: 33137e5 a22e3b4
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Jul 27 14:02:47 2013 -0700

    Merge pull request #159 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Blue skies and empty brains" - SP2
    
    * Fix download failure for 3.0.10 in DownloadPsychtoolbox.m on 32-Bit OSX.
    * Fix mex file load errors on 64-Bit Octave for OSX with Fink package manager and other versions.
    * New function Eyelink('SetAddress') for setting tracker computer target IP address.
    * Enable raw sample data access for Eyelink on Linux.
    * Update PsychVideoSwitcher help.
    * Update some other help texts, e.g., DisplayOutputMappings.
    * Add new text rendering mode 0 on OSX for new-style ATSU rendering of problematic exotic fonts.
    * Add GstX264Enc video encoding profile for fast camerabin2 video recording with GStreamer SDK.
    * Some new demos and improvements from David Brainard in area of color calibration or simulation?
    * New function GetGITPath from Ben Heasley.

commit a22e3b4086c007f4214bf4ac5c2966c368072f73
Merge: b4d05f6 e6e97a9
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Jul 27 13:54:41 2013 -0700

    Merge pull request #158 from kleinerm/master
    
    Pull from kleinerm for PTB BETA RELEASE "Blue skies and empty brains" - SP2
    
    * Fix download failure for 3.0.10 in DownloadPsychtoolbox.m on 32-Bit OSX.
    * Fix mex file load errors on 64-Bit Octave for OSX with Fink package manager and other versions.
    * New function Eyelink('SetAddress') for setting tracker computer target IP address.
    * Enable raw sample data access for Eyelink on Linux.
    * Update PsychVideoSwitcher help.
    * Update some other help texts, e.g., DisplayOutputMappings.
    * Add new text rendering mode 0 on OSX for new-style ATSU rendering of problematic exotic fonts.
    * Add GstX264Enc video encoding profile for fast camerabin2 video recording with GStreamer SDK.

commit 9658f66c415bdfea7810a1c9763e14463a0ae3ee
Merge: bc0d782 cc9027e
Author: David Brainard <brainard@psych.upenn.edu>
Date:   Fri Jul 19 16:56:24 2013 -0400

    Merge branch 'master' of https://github.com/Psychtoolbox-3/Psychtoolbox-3
    
    Signed-off-by: David Brainard <brainard@psych.upenn.edu>
    
    Conflicts:
    	Psychtoolbox/PsychDemos/IsomerizationsInEyeDemo.m

commit 33137e5d18e0e9e2eff174fe7b15d28d618d447a
Merge: 57deff9 ef3a282
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Jul 13 00:18:40 2013 -0700

    Merge pull request #155 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Blue skies and empty brains" - SP1
    Fix broken 64-Bit Windows support.

commit ef3a28287cafcd83facf88ccb95a1d300113e15b
Merge: abe3ec8 181c2e0
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Sat Jul 13 00:16:55 2013 -0700

    Merge pull request #154 from kleinerm/master
    
    PTB BETA RELEASE "Blue skies and empty brains" - SP1
    
    Fix broken 64-Bit Windows support.

commit 91e967595a0fb4f573e2b7b1248e3d421fdd599e
Merge: 90f15cf e49ca02
Author: David Brainard <brainard@psych.upenn.edu>
Date:   Thu Jul 11 21:33:50 2013 -0400

    Merge branch 'master' of https://github.com/Psychtoolbox-3/Psychtoolbox-3

commit 7fa70c96965fad10de7fc3f5bc46f7cae21209a4
Merge: 56c8e8b e49ca02
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Thu Jul 11 10:56:18 2013 -0700

    Merge pull request #36 from Psychtoolbox-3/master
    
    Pull to resync with PTB 3.0.11 master aka "Blue skies and empty brains".

commit 57deff9937e0cd9c38df8fd0998eed9fd9e8106c
Merge: aa7e65d e49ca02
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Thu Jul 11 10:33:48 2013 -0700

    Merge pull request #152 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Blue skies and empty brains"
    
    Start of the 3.0.11 series:
    
    * Removal of support for 32-Bit OSX and OSX 10.4/10.5.
    * GStreamer robustness and functionality improvements, esp. on OSX and Windows with Gstreamer SDK.
    * Workarounds for Matlab's broken Java AWT memory leaks.
    * Linux video refresh calibration precision improvement on FOSS drivers by fixing some mishandled corner case.
    * Compile fix for gcc-4.8 + Octave, as found by Debian project.
    * Eyelink and Snd() fixes by Andreas Widmann.
    * SphereProjectionShader corner-case fix by Ingmar Schneider.
    * Minor other tweaks and fixes.

commit e49ca0230be3a7e716ef3cecb2ef1722c8b00a51
Merge: 898216a 56c8e8b
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Thu Jul 11 10:26:54 2013 -0700

    Merge pull request #151 from kleinerm/master
    
    PTB BETA RELEASE "Blue skies and empty brains"
    
    * Removal of support for 32-Bit OSX and OSX 10.4/10.5.
    * GStreamer robustness and functionality improvements, esp. on OSX and Windows with Gstreamer SDK.
    * Workarounds for Matlab's broken Java AWT memory leaks.
    * Linux video refresh calibration precision improvement on FOSS drivers by fixing some mishandled corner case.
    * Compile fix for gcc-4.8 + Octave, as found by Debian project.
    * Eyelink and Snd() fixes by Andreas Widmann.
    * SphereProjectionShader corner-case fix by Ingmar Schneider.

commit 530bc408f0c9fac05252fc46f4726178a2682583
Merge: 81d7a4d 8ad3303
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Jul 10 13:26:41 2013 -0700

    Merge pull request #34 from widmann/feedbackbeep
    
    Add option to disable feedback beep

commit 81d7a4db6ab7207bdda0d37419f9a4c79539262c
Merge: 2d88e00 a198be6
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Jul 10 13:03:05 2013 -0700

    Merge pull request #33 from widmann/keycode
    
    Check for keycode vectors in el structure

commit 2d88e00c66df21645bccf7b732db63705346527a
Merge: f5780ca 7d34a95
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Wed Jul 10 12:44:59 2013 -0700

    Merge pull request #35 from widmann/heuristicfilter
    
    Disable hardcoded setting of heuristic filter in old code path

commit aa7e65ddf4b9c6f160a8cc5f68ada87cd8d1fdad
Merge: 8d2a589 e69c68a
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue Jul 2 20:25:26 2013 -0700

    Merge pull request #150 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP12
    
        Make drawtext plugin on Linux and OSX more robust against weird fonts (non 8bpp fonts).
        Improve window focus handling for GUI windows on Linux. Don't steal window focus.
        Enable camerabin2 video capture and recording with GStreamer SDK.
        Enabe movie writing with GStreamer SDK 2013.6.
        Enable delay loading of GStreamer SDK dll's on 64-Bit Matlab on Windows to make installation optional.
        Fix regression in BubbleDemo.
        Allow sending arbitrary data types in NetStation().
        Performance improvements for DaqAInScan et al.
        Fix GLU toolkit NURBS functions regression, so they can be actually used.
        Movie demo cleanups for pure GStreamer operation and no more Quicktime.
        Improvements to radiometric functions by David Brainard.

commit e69c68ae70d4f96afa0b6c023352c94d189d4026
Merge: 29d520f f49c0b0
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue Jul 2 20:20:30 2013 -0700

    Merge pull request #149 from kleinerm/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP12
    
        Make drawtext plugin on Linux and OSX more robust against weird fonts (non 8bpp fonts).
        Improve window focus handling for GUI windows on Linux. Don't steal window focus.
        Enable camerabin2 video capture and recording with GStreamer SDK.
        Enabe movie writing with GStreamer SDK 2013.6.
        Enable delay loading of GStreamer SDK dll's on 64-Bit Matlab on Windows to make installation optional.
        Fix regression in BubbleDemo.
        Allow sending arbitrary data types in NetStation().
        Performance improvements for DaqAInScan et al.
        Fix GLU toolkit NURBS functions regression, so they can be actually used.

commit f49c0b0ade5909c64c2848ebb9583c582d7c50bd
Merge: c137c06 cd1bc2e
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue Jul 2 10:52:55 2013 -0700

    Merge pull request #32 from db87/master
    
    USB-1208FS excessive memory usage fix

commit 8d2a589f7eb11f0e17dd44e462ad706f58344a2c
Merge: 684b5d8 0da43f6
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon Jun 17 09:16:52 2013 -0700

    Merge pull request #147 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP11
    
    * DrawFormattedText: Add sx = 'right' option for right justified text.
    * Fix regression in DrawFormattedTextDemo which makes it fail on Matlab.

commit 0da43f6a144c78a150032724ed4aee49acf1971e
Merge: f38edf8 cdb9a0d
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon Jun 17 09:15:37 2013 -0700

    Merge pull request #146 from kleinerm/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP11
    
    * DrawFormattedText: Add sx = 'right' option for right justified text.
    * Fix regression in DrawFormattedTextDemo which makes it fail on Matlab.

commit 66ff9d8b6aa920d429f2ba4f2e93516ecd25d169
Merge: 4c54d56 b9140b1
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Jun 14 07:10:31 2013 -0700

    Merge pull request #29 from kotowicz/master
    
    added 'do not use unity' message to PsychtoolboxPostInstallRoutine.m file

commit 684b5d86a4961a3766a64f47d4271b2703cd840b
Merge: a3168d4 f38edf8
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed Jun 12 12:56:44 2013 -0700

    Merge pull request #144 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP10
    
    * Fix DaqAIn() which contained race-conditions that could lead to failure on fast machines.
    * Fix MSAA 3d rendering with imaging pipeline on old GPU's by adding a fallback path for older gpu's, e.g., on OSX 10.5.8 - Only fix Screen() for 32-Bit Matlab on OSX for now.
    * Improvements to svn path removal by Ben Heasley and David Brainard.
    * Improvements to color calibration routines by David Brainard.

commit f38edf84a0a205666a3aecac512e6831d466398e
Merge: 98a5e78 4c54d56
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed Jun 12 12:52:30 2013 -0700

    Merge pull request #143 from kleinerm/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP10
    
    * Fix DaqAIn() which contained race-conditions.
    * Fix MSAA rendering with imaging pipeline on old GPU's - for 32-Bit Matlab on OSX.

commit 4c54d5693434185145f0f021b115b8980ad27082
Merge: f9ea59e 5aa6627
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Jun 7 08:19:08 2013 -0700

    Merge pull request #28 from Psychtoolbox-3/master
    
    Resync with current master of official Psychtoolbox-3 repo.

commit a3168d4b15fdb0b81b090913b6f1cab742ef9384
Merge: dbe4cf7 1f9ae98
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed May 22 00:08:49 2013 -0700

    Merge pull request #140 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP9
    Fix regression in imaging pipeline + multisample depth renderbuffer setup.

commit 1f9ae98706b6951ea9c15cade9da5609fc710f6b
Merge: 3b44b33 9b362b5
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed May 22 00:07:25 2013 -0700

    Merge pull request #139 from kleinerm/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP9
    Fix regression in imaging pipeline + multisample depth renderbuffer setup.

commit 3b44b338678d8f886a2034f7196e8153c9c90fda
Merge: cb6e6d1 dbe4cf7
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon May 20 02:53:12 2013 -0700

    Merge pull request #132 from Psychtoolbox-3/beta
    
    Merge pull request #131 from Psychtoolbox-3/master
    Resync with 3.0.10 final beta update.

commit dbe4cf7f5a13daa4371bc31e1d61ded91e63de42
Merge: 637dc8b cb6e6d1
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon May 20 02:35:43 2013 -0700

    Merge pull request #131 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP8 - Final.
    
    Final 3.0.10 series release update:
    
    * Reduce verbosity of PsychHID's libusb debug output to "silence" on Linux by default.
    * Add proper psychtoolbox udev rules for MCC DAQ operations on Linux without root.
    * Verify Daq toolbox works mostly with MCC USB-DAQ 1408FS, disable obsolete warnings.
    * Try to make DaqAInScan work with 1408FS on 64-Bit OSX -- unsuccesfull.
    * Small fixes & improvements to Daq toolbox.
    * Screen for 32-Bit Matlab on OSX final recompile to sync up with beta.
    
    This is the branch point for the 3.0.10 branch.

commit cb6e6d177c5818d90290af5343cef2d53dcd486b
Merge: f1f4022 f409a34
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon May 20 02:32:02 2013 -0700

    Merge pull request #130 from kleinerm/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP8
    
    * Reduce verbosity of PsychHID's libusb debug output to "silence" on Linux by default.
    * Add proper psychtoolbox udev rules for MCC DAQ operations on Linux without root.
    * Verify Daq toolbox works mostly with MCC USB-DAQ 1408FS, disable obsolete warnings.
    * Try to make DaqAInScan work with 1408FS on 64-Bit OSX -- unsuccesfull.
    * Small fixes & improvements to Daq toolbox.
    * Screen for 32-Bit Matlab on OSX final recompile to sync up with beta.

commit f1f402289aba104f7ba308daec68b39b97f6106f
Merge: 1bcc167 637dc8b
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue May 14 19:04:11 2013 -0700

    Merge pull request #128 from Psychtoolbox-3/beta
    
    Resync master with final beta for 3.0.10 series.

commit 637dc8b4610678d485085f7a1f9dd99b5bc6d08f
Merge: 3d95728 1bcc167
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue May 14 16:15:46 2013 -0700

    Merge pull request #127 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP7
    
    * moglcore build fix for NeuroDebian et al.

commit 1bcc1676dfda66b7b4afc28a828200a803523582
Merge: f3ca38f 05349a6
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue May 14 16:10:51 2013 -0700

    Merge pull request #126 from kleinerm/master
    
    Build fix for moglcore on NeuroDebian et al.

commit 3d95728a411eff015ee89cfcca7f691819ed5318
Merge: a5c7fec f3ca38f
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon May 13 12:14:25 2013 -0700

    Merge pull request #125 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP6
    
    * A fix provided by zacklb for a regression introduced in new Java setup code.

commit f3ca38ffd858139f70640a449fa0a61c29e11abe
Merge: 8fc4548 a44688d
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon May 13 12:12:19 2013 -0700

    Merge pull request #124 from kleinerm/master
    
    Pull for PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP6

commit a44688d10964a8bad4a4067c907d2dbdb5dac32b
Merge: 88062b4 be6852b
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon May 13 12:11:06 2013 -0700

    Merge pull request #27 from zacklb/psychjavatrouble-patch
    
    Make classpath text file if it doesn't exist

commit a5c7fecc5494579b653b821d3a29f4b06b06a5a2
Merge: 235cfbb 8fc4548
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun May 12 23:44:22 2013 -0700

    Merge pull request #123 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP5
    
    * Fix octave short-circuit operator warnings by fixing all M-Files.
    * Factor out Java classpath Matlab setup into one function.
    * Update a few Datapixx mex files.
    * Fix a PR-705 toolbox bug (zacklb).
    * Tiny other stuff.

commit 8fc454862955b16d71692f36f9729c869d3825c2
Merge: af41803 88062b4
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun May 12 23:41:51 2013 -0700

    Merge pull request #122 from kleinerm/master
    
    Pull for PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP5
    
    * Fix octave short-circuit operator warnings by fixing all M-Files.
    * Factor out Java classpath Matlab setup into one function.
    * Update a few Datapixx mex files.
    * Fix a PR-705 toolbox bug (zacklb).
    * Tiny other stuff.

commit 16810d4f4d021687a489d13e1a4ec35f020548e7
Merge: 786f551 84522b7
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun May 12 11:27:22 2013 -0700

    Merge pull request #26 from zacklb/pr705-bugfix
    
    Make sure the output of `textscan` is type double

commit c9aedfcaebe49a1bb00e5dc1514f1ed67a869f4e
Merge: 56335e0 af41803
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue May 7 23:40:52 2013 -0700

    Merge pull request #25 from Psychtoolbox-3/master
    
    Resync with current master of official Psychtoolbox-3 repo.

commit 235cfbb779ab18704c5c036e4465289c67e686f9
Merge: e1496e4 af41803
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue May 7 23:37:16 2013 -0700

    Merge pull request #120 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP4
    
    Small fixes and improvements to BETA:
    
    * DAQ toolbox fixes.
    * Invisible windows for Screen.
    * Blue line sync stereo setup for mode 11 as well.
    * Installer fixes.
    * PR toolbox fixes.
    * Documentation updates.
    
    This is likely the last release for the 3.0.10 series.

commit af418035c31d5270dfc68de045b8a54367901c4f
Merge: c8b9d37 56335e0
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue May 7 23:30:00 2013 -0700

    Merge pull request #119 from kleinerm/master
    
    DAQ toolbox fixes.

commit c8b9d375433afed27615d162bded0303f8033a4f
Merge: 2fb8ae8 76fef0c
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue May 7 18:33:40 2013 -0700

    Merge pull request #118 from kleinerm/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP4

commit e1496e48f94760d30ec101c373fde0432211f7c7
Merge: f2508fd eb28bd2
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sat Apr 20 12:03:54 2013 -0700

    Merge pull request #117 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP3
    * Make java path setup in postinstall routine more robust against users doing weird things. [Fix by zacklb]

commit 2dae455eb464becf6ebace1821bfd37dfd209c8e
Merge: 5284bd6 eb28bd2
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sat Apr 20 12:02:25 2013 -0700

    Merge pull request #24 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP3
    
    * Make java path setup in postinstall routine more robust against users doing weird things.

commit eb28bd2e5d5ed047cf4e3f720882de2c71ba2408
Merge: b801644 5284bd6
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sat Apr 20 12:00:19 2013 -0700

    Merge pull request #116 from kleinerm/master
    
    Merge post-install fix for Jave setup from zacklb.

commit 5284bd668d14bedc75ee9cf37f0a392a550b1081
Merge: 3c70c7b 47c489f
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Apr 19 11:29:08 2013 -0700

    Merge pull request #23 from zacklb/postinstall-fix
    
    Parse the java classpaths with a newline delimiter

commit f2508fd7903c7fb47ae186a89a0aded4a7374d8f
Merge: fa173a2 b801644
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Thu Apr 18 19:02:13 2013 -0700

    Merge pull request #115 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP2
    Add improved DrawFormattedText() with ability to center text in user-provided rects.

commit b8016448b3f6b16fb8889ed013aa57aa751c0320
Merge: bd2304d 3c70c7b
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Thu Apr 18 19:00:58 2013 -0700

    Merge pull request #114 from kleinerm/master
    
    Pull new DrawFormattedText() improvement.

commit fa173a24443251424886987805052189065840a8
Merge: 3d96522 bd2304d
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed Apr 17 22:06:12 2013 -0700

    Merge pull request #113 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP1
    
    * Fix PRxxx support on Linux.
    * Add missing 64-Bit Radeoncontrol exe on 64-Bit Linux.

commit bd2304d36d7935c3432e74a22977837cb11f1de8
Merge: 237bf81 30a71a7
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed Apr 17 22:04:18 2013 -0700

    Merge pull request #112 from kleinerm/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!" SP1
    
    * Fix PRxxx support on Linux.
    * Fix missing 64-Bit Radeoncontrol exe on Linux.

commit 85a3304ca543507870003d30c9d954e61fb189c6
Merge: 5b54b2c 237bf81
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue Apr 16 21:15:22 2013 -0700

    Merge pull request #22 from Psychtoolbox-3/master
    
    Resync with current master of official Psychtoolbox-3 repo.
    Post release of "Rainbows, Droids & Compute Hippies".

commit 3d96522a7bd8b287e1fb9dd3992c3b4121d98f3f
Merge: cd1face 237bf81
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue Apr 16 21:00:30 2013 -0700

    Merge pull request #111 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Rainbows, Droids & Compute Hippies!"
    
    * Basic GPGPU compute support via GPUmat.
    * Linux Nexus-7 / ARM support.
    * Linux experimental multi display backend support.
    * CRS Bits# support.
    * PR-705 support contributed by Zachary Lindbloom-Brown
    * GeForce-600 series support.
    * Fixes for OSX Retina and LCD timestamping brokeness and other bugs.
    * Various smaller fixes and improvements.

commit 237bf812e4d970b68a52c821d4267b0a2fbd8b9d
Merge: f72e7be 5b54b2c
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue Apr 16 20:51:17 2013 -0700

    Merge pull request #110 from kleinerm/master
    
    Pull for "Rainbows, Droids & Compute Hippies"
    
        Basic GPGPU compute support via GPUmat.
        Nexus-7 / ARM support.
        Linux multi display backend support.
        Bits# support.
        PR-705 support.
        GeForce-600 series support.
        Fixes for OSX timestamping brokeness and other bugs.
        Various smaller fixes and improvements.

commit 3dcc18e6ba51198c46d50be9fafa8b37e8682f18
Merge: 0c06803 4bb25a4
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue Apr 9 07:12:34 2013 +0200

    Merge branch 'wafflegles' of https://github.com/kleinerm/Psychtoolbox-3
    
    This concludes the first iteration of the new Linux display backend
    prototype. Support for X11/GLX and X11/EGL display backends fully
    tested and works. Rudimentary support for GBM/EGL tested, but far from
    ready. Wayland/EGL ditto. Waffle works well so far, but we only build
    the embedded/mobile PTB with Waffle backend, not yet the desktop Linux
    PTB.
    
    OpenGL and OpenGL-ES1.x support works well on the embedded version,
    as tested with a Google Nexus-7 tablet with NVidia-Tegra-3 SoC under
    Ubuntu Linux 13.04 Raring Ringtail, 32-Bit ARM edition for Nexus-7.
    
    All other mex files work well on the tablet, sound, i/o etc., although
    most demos are not yet touch enabled. Babysteps...
    
    All mex files for all platforms have been rebuilt to rule out potential
    regressions.
    
    -> We would be ready for a release, minus some polishing for the
       GPUMat / GPGPU CUDA stuff.

commit ea7d6bb741f13d42d2a2a703e8368986c2db37eb
Merge: 1f62068 e2d90b8
Author: Mario Kleiner <mario.kleiner.de@gmail.com>
Date:   Mon Apr 8 01:27:33 2013 +0200

    Merge branch 'wafflegles' of https://github.com/kleinerm/Psychtoolbox-3 into wafflegles

commit 0c0680324cb7bbedb76445b39602acc0cb760969
Merge: 48f02d1 7daa325
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue Mar 26 22:05:28 2013 +0100

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit a3afa145fd3e2805235b7389a4fb31e635ac36b5
Merge: 616aa2d e5d46f9
Author: Diederick C. Niehorster <dcnieho@gmail.com>
Date:   Tue Mar 19 03:24:33 2013 -0700

    Merge pull request #107 from dcnieho/master
    
    bug in Interleave function

commit 49d470795fcf87b6fed07a4c0260bf992d353e56
Merge: f10d5df 616aa2d
Author: Diederick C. Niehorster <dcnieho@gmail.com>
Date:   Tue Mar 19 16:54:25 2013 +0800

    Merge remote-tracking branch 'refs/remotes/upstream/master'

commit 616aa2d2c188f9f864eb5d7abd260df96be68c8b
Merge: d69df7a 7daa325
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon Mar 18 10:16:50 2013 -0700

    Merge pull request #106 from kleinerm/master
    
    Pull for small Bits# improvements, Windows fixes, cosmetic

commit d69df7a0803c7c63e635b6bf9ee9070b4443b5f0
Merge: 8cdc158 2530409
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed Mar 13 13:56:31 2013 -0700

    Merge pull request #104 from kleinerm/master
    
    Pull for basic Bits# support. Also some OSX 10.5 64-Bit compat fixes and PR-705 photometer support.

commit 834e13205573d9f1cbd6d11a9a9bdfe1bdfeda6c
Merge: a788a09 8af8f51
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed Mar 13 04:58:06 2013 +0100

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit 8556f9907aaf928b2b32374e081e96f07901e04a
Merge: 19daef3 92af8a7
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun Mar 10 15:24:10 2013 -0700

    Merge pull request #18 from zacklb/pr705
    
    Adding a PR-705 toolbox to PTB-3

commit 19daef35330534692a8d27bfb110a4eb558e28d9
Merge: 949b143 0d68c7b
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun Mar 10 15:02:23 2013 -0700

    Merge pull request #19 from zacklb/findserial-fix
    
    Fixing a redundancy when using a Keyspan USB-serial adapter

commit 949b143af796aeeb529dd1f3a6a289835920d7d7
Merge: c07a288 8cdc158
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun Mar 10 15:00:15 2013 -0700

    Merge pull request #20 from Psychtoolbox-3/master
    
    Resync with current master of official Psychtoolbox-3 repo.

commit 8cdc15833e90bc8ee385bc03c832025226cf65f7
Merge: e175dbf c5c687e
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun Mar 10 14:43:15 2013 -0700

    Merge pull request #102 from simonster/2012b-input-thread
    
    Attach thread input in MATLAB 2012b

commit ddd3a61a6412aa468ae745ad4eb156adee887176
Merge: 36ca0a5 d519678
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed Feb 6 20:45:47 2013 -0800

    Merge pull request #101 from kleinerm/master
    
    Pull development snapshot for color space and gpgpu stuff.
    
    * First batch of color space conversion stuff.
    * First batch of GPUmat/CUDA GPGPU stuff.
    * ColorCal for Octave support.
    * Use of thread-type parameter for GStreamers multi-threaded video decode.
    * Various fixes and improvements, but not compiled for all platforms.
    
    Both are unfinished wip, just for alpha-testers.

commit d3ec589142c927c1ec382a942ce7fe537175c74b
Merge: 5dee5d5 9236647
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Feb 1 18:24:24 2013 +0100

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit 923664726d86f2792edc52bb18210a360b314c6d
Merge: 1b465ef 36ca0a5
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Feb 1 09:23:08 2013 -0800

    Merge pull request #17 from Psychtoolbox-3/master
    
    Pull context sharing fix for MS-Windows into kleinerm/master.

commit 36ca0a574ab1ed6f8df6c977483a8218f3a14a4e
Merge: 9c339a2 20bfc21
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Feb 1 09:21:36 2013 -0800

    Merge pull request #99 from simonster/texture-sharing
    
    Fix texture sharing on nVidia Windows systems:
    
    "Theory" of why it failed and now works with this patch applied:
    
    wglShareLists according to doc should reject sharing if the context which is going to share resources already contains any resources. This is not the case in our code. But the context already has sharing enabled with other new context which also don't contain any resources to share yet. So either the NVidia driver has a bug and uses a too sloppy way to detect if context sharing is allowed - implying that a context who shares resources with other contexts must already contain resources, without actually checking if this exclusion criterion is really satisfied - or the Microsoft docu is sloppily written and gives wrong sharing rules. Reordering the code like you do should "fix" both possible cases.

commit d087dcfc66d8527ca2fa5bd6dad638588d042cf5
Merge: 7645d63 c1d6147
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue Jan 15 11:42:31 2013 -0800

    Merge pull request #15 from iandol/eyelink1
    
    add support for devicenumber parameter in el

commit cd1face3a0aec5113ff4d07363cf0da0429ff901
Merge: 8fd0153 9c339a2
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun Jan 13 23:14:25 2013 -0800

    Merge pull request #97 from Psychtoolbox-3/master
    
    Post-Release update "Aaron Swartz" for PTB BETA RELEASE "The fun in dysfunction"
    
    This update is dedicated to Aaron Swartz.
    
    Some improvements to M-Files:
    
    * Full panelfitter high-level setup support via PsychImaging('AddTask', 'General', 'UsePanelFitter'): Selection of common scaling/fitting modes. Fully compatible with all stereo display modes, high-precision display modes and other PsychImaging tasks. Also fully compatible with RemapMouse() now.
    
    * Cleanups to BeampositionTests by Ian A.
    
    * Robustness improvements to GStreamer-SDK detection on 64-Bit Windows.
    
    * Tiny fixes in moglmorpher() and LoadOBJFile().
    
    * Minor tweaks to some demos.

commit 9c339a2d5b35e062ab3ac1b4204ac159ec80be36
Merge: eda4438 4a12f16
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun Jan 13 23:07:01 2013 -0800

    Merge pull request #96 from kleinerm/master
    
    Post-Release update for PTB BETA RELEASE "The fun in dysfunction"

commit f5399913e66ab40a96842501bc2d2eacffcca199
Merge: 28d1555 f8a32b6
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon Jan 14 05:23:06 2013 +0100

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit f8a32b6977071d961142e0ccc6a8f769ccab6829
Merge: 38890cb 53948e5
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun Jan 13 20:22:49 2013 -0800

    Merge pull request #13 from iandol/patch-1
    
    Update Psychtoolbox/PsychTests/BeampositionTest.m
    Beautify it.

commit 8fd0153bac8e8bc07001ecdbd7452cd4bc88f897
Merge: 4a2a23c c0aa158
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon Jan 7 18:27:40 2013 -0800

    Merge pull request #95 from Psychtoolbox-3/master
    
    Post-Release fix for BETA: OSX support for NVidia GeForce 600 Kepler gpu's.
    
    * On OSX by updating the PsychtoolboxKernelDriver for 64-Bit kernels.
    * Also enable experimental support for 4 display heads on Kepler gpus.
    * Small fixes to PsychDataPixx and panel scaler support for side-by-side stereo.

commit c0aa158930105cd6ea490697eae5d1a585a5b78a
Merge: de61194 2a875f1
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon Jan 7 18:25:37 2013 -0800

    Merge pull request #94 from kleinerm/master
    
    Pull: Add support for NV-E0 GeForce-600 series "Kepler" gpu's.

commit 4a2a23cdad146a2645215b710494363d50dc27a6
Merge: 89ac3a0 de61194
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun Jan 6 12:19:17 2013 -0800

    Merge pull request #93 from Psychtoolbox-3/master
    
    Post-Release fix for BETA: Pull fix for OSX on Apple MacBookPro with Retina display.

commit de61194601da9d97ce179c4edba000d8987aaf0f
Merge: e5c73d3 6555342
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun Jan 6 12:17:07 2013 -0800

    Merge pull request #92 from kleinerm/master
    
    Pull fix for OSX on Apple MacBookPro with Retina display.

commit e5c73d3f33eb0c98b154b27dce504a8d445098ea
Merge: b215c88 564e4b3
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Jan 4 12:35:56 2013 -0800

    Merge pull request #11 from Psychtoolbox-3/master
    
    Resync with PTB BETA RELEASE "The fun in dysfunction"
    
    Up to date as of 4-January-2013.

commit 564e4b3c63ea4f5dfd485d723a768459fb47bbe9
Merge: 2db4992 89ac3a0
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Jan 4 12:29:38 2013 -0800

    Merge pull request #91 from Psychtoolbox-3/beta
    
    Resync to "The fun in dysfunction"

commit 89ac3a065cf2d29f6bdc9ee8e90f81e022c710b7
Merge: 9b5c690 2db4992
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Jan 4 12:12:41 2013 -0800

    Merge pull request #90 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "The fun in dysfunction"
    
        Support for GStreamer camerabin2 video capture & recording.
        Support for builtin imaging pipeline panel fitter.
        Improved Linux support for timestamping, graphics problem detection and desktop compositor handling.
        Improved support for handling of MS-Windows-8 dektop compositor handling.
        Bugfixes / Workarounds for various Windows and OSX operating system bugs.
        Fixes to PsychKinectCore and PsychHID.
        Various other fixes for small documentation and PTB bugs.
        Potential multi-threaded decoding improvements for GStreamer movie playback.
        More fixes and workarounds for handling of slightly broken Intel-DDX graphics drivers on Linux (pre 2.20.16 series).
        HDMI side-by-side horizontally compressed frame packing format support for stereo displays.
        Datapixx and Eyelink improvements.
        CRS OptiCal support.
        Other stuff i can't remember.

commit 2db49924d7d34907755625904b07708c43bbf087
Merge: e78851d b215c88
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed Jan 2 18:26:02 2013 -0800

    Merge pull request #89 from kleinerm/master
    
    Main pull for "The fun in dysfunction"
    
    This is the main pull-request for "The fun in dysfunction", bringing in almost everything (minus potential last minute bits & bytes here and there):
    
        Support for GStreamer camerabin2 video capture & recording.
        Support for builtin imaging pipeline panel fitter.
        Improved Linux support for timestamping, graphics problem detection and desktop compositor handling.
        Improved support for handling of MS-Windows-8 dektop compositor handling.
        Bugfixes / Workarounds for various Windows and OSX operating system bugs.
        Fixes to PsychKinectCore and PsychHID.
        Various other fixes for small documentation and PTB bugs.
        Potential multi-threaded decoding improvements for GStreamer movie playback.
        More fixes and workarounds for handling of slightly broken Intel-DDX graphics drivers on Linux (pre 2.20.16 series).
        HDMI side-by-side horizontally compressed frame packing format support for stereo displays.
        Datapixx and Eyelink improvements.
        CRS OptiCal support.
        Other stuff i can't remember.

commit e173f45633782bcba08f506ff7ccb36403236b9f
Merge: c18bf7e de73188
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon Dec 31 17:11:58 2012 +0100

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit 3fbc6689d0b9b6c50ebecb04b23fd37f699ebc8b
Merge: 8a58110 b309900
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun Dec 23 02:04:55 2012 -0800

    Merge pull request #9 from iandol/eyelinkfixes
    
    Eyelink toolbox: Fix a hardcoded callback function.

commit 5675f6d21852ff473d9e43b65591e7030c259aad
Merge: e7365d0 8766eff
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed Nov 28 21:35:02 2012 +0100

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3

commit 9b5c690196bb818107414eba2fa96f3be2170dd7
Merge: 759f023 76714f3
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun Nov 11 02:29:10 2012 -0800

    Merge pull request #83 from Psychtoolbox-3/master
    
    BETA RELEASE "Dancersizing, Grey & Hopeless"
    
    "Dancersizing, Grey & Hopeless" mostly fixes small bugs, improves small details and improves GetChar support on Windows Vista+, matlab -nojvm and octave.
    
    * GetChar, CharAvail, FlushEvents and ListenChar now (ab)use keyboard queue functionality on setups where use of Java based GetChar et al. is ineffective or impossible: This should enable good support for Windows Vista/7/8, matlab in -nojvm mode, and GNU/Octave in CLI and GUI mode.
    
    * Minor fixes and improvements to PsychPortAudio, Screen, IOPort, PsychGPUControl and M-Files.
    
    * CRS OptiCal support by Andreas Widmann.

commit 76714f397801cfbbe326f4b7e779473c0c21e0a9
Merge: d957f9f c7d3ddc
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun Nov 11 02:20:20 2012 -0800

    Merge pull request #82 from kleinerm/master
    
    Pull for the "Dancersizing, Grey & Hopeless" release.

commit 92f6a60f10315cf4330e4d057b77e45abb6122f3
Merge: cf78d91 1594e18
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Nov 2 08:18:46 2012 +0100

    Merge branch 'master' of https://github.com/kleinerm/Psychtoolbox-3
    
    Conflicts:
    	Psychtoolbox/PsychBasic/Octave3LinuxFiles64/PsychHID.mex

commit 9ff1a9a07b115bd22197508a5e10303dd6fa1f8e
Merge: f26d28f b588feb
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue Oct 30 06:37:06 2012 +0100

    Merge branch 'master' into getcharng
    
    Conflicts:
    	Psychtoolbox/PsychBasic/MatlabWindowsFilesR2007a/IOPort.mexw32
    	Psychtoolbox/PsychBasic/MatlabWindowsFilesR2007a/IOPort.mexw64

commit 759f023b86fb3632b2a7e3959d60e32c6b9df7e5
Merge: cdeaee7 d957f9f
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon Oct 8 18:27:55 2012 -0700

    Merge pull request #80 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Death by a thousand paper cuts"
    
    Release highlights:
    
    Speak() command now supported on all operating systems, and made more flexible. Linux support by MK, MS-Windows support by Vishal Shah.
    
    Improved correctness tests and wokarounds for graphics driver bugs on Intel gpus under Linux, but also improvements to general graphics driver sync tests. Some warning clutter removed.
    
    Make Screen startup more artifact free on Intel gpus on Linux with triple-buffering enabled.
    
    Make Linux Screen() compatible to apitrace utility.
    
    Bugfixes and enhancements to Screen('Resolution') on Linux and Screen('Resolutions') on 64-Bit OSX.
    
    Enhancements to the PsychPortAudio backed Snd() legacy sound command.
    
    Some improvements to DKL color functions by David Brainard.

commit d957f9f23e2ff2fcb6f07cc65217e36e9236fe3f
Merge: bac8dd3 d34a5d2
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon Oct 8 18:16:39 2012 -0700

    Merge pull request #79 from kleinerm/master
    
    Final tiny fixes for next beta.

commit bac8dd3932daf9b178dfc804fcf60f3c02dd6d8e
Merge: e11bbea 1041a5c
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sat Oct 6 21:19:48 2012 -0700

    Merge pull request #78 from kleinerm/master
    
    New features and paranoia checks, mostly for Linux...

commit 708a78b68676daf30bcf294ef2c2cc1996836f56
Merge: 1cbb8c8 cdeaee7
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue Oct 2 17:43:26 2012 -0700

    Merge pull request #76 from Psychtoolbox-3/beta
    
    Merge pull request #75 from Psychtoolbox-3/master

commit cdeaee72cd65c5d82ff3853a723c09bccd3b5cf6
Merge: 0a61dd1 1cbb8c8
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue Oct 2 17:42:50 2012 -0700

    Merge pull request #75 from Psychtoolbox-3/master
    
    BETA UPDATE: Fix pnet for 64-Bit Matlab on Windows.

commit 1cbb8c82df0d0ba0511b0210f484b784a2ef7c7f
Merge: aff8c70 39e326e
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue Oct 2 17:40:50 2012 -0700

    Merge pull request #74 from kleinerm/master
    
    pnet bugfix for 64-Bit Windows.

commit aff8c704506ad099725bb4be348794c17e5b852f
Merge: 6a81066 0a61dd1
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon Oct 1 17:03:09 2012 -0700

    Merge pull request #73 from Psychtoolbox-3/beta
    
    Merge pull request #72 from Psychtoolbox-3/master

commit 0a61dd129d84e7e965a23c75d20d437ded7aac8d
Merge: 5962d7b 6a81066
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon Oct 1 17:02:19 2012 -0700

    Merge pull request #72 from Psychtoolbox-3/master
    
    PTB BETA small update.
    
    Make Linux Screen('Framerate') more robust aganst weird drivers.
    Improve PsychTweak('PrepareForVirtualmachine');
    Enable qtkitvideosrc plugin for OSX video capture.

commit 6a8106638404952c45200cc758199e44bb26841e
Merge: 6d189cf c1731ad
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon Oct 1 17:00:04 2012 -0700

    Merge pull request #71 from kleinerm/master
    
    Bugfix for weird RandR modes on Linux returned by some drivers.

commit 6d189cf07b0fe93a49b6f37417c6c74110f375f7
Merge: dd5820b 5962d7b
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Sep 28 11:21:30 2012 -0700

    Merge pull request #67 from Psychtoolbox-3/beta
    
    Merge pull request #66 from Psychtoolbox-3/master

commit 5962d7b5c3a640280a7ddfb24b0a40fa1daef88b
Merge: 6a4d05e dd5820b
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Sep 28 11:19:54 2012 -0700

    Merge pull request #66 from Psychtoolbox-3/master
    
    BETA UPDATE: Fix HideCursor on f$#$@#% MS-Windows.

commit dd5820b48ff1f71f51b15b6d580405521e4dbca9
Merge: 9e0d204 18ea261
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Sep 28 11:18:02 2012 -0700

    Merge pull request #65 from kleinerm/master
    
    Fix HideCursor() on some Windows setups.

commit 6a4d05e3ed8013b20fd3c4face286656e1adf7b7
Merge: fde2c3f 9e0d204
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed Sep 26 17:06:05 2012 -0700

    Merge pull request #64 from Psychtoolbox-3/master
    
    BETA UPDATE:
    
    Compatibility fixes for Matlab, GStreamer on OSX and for OSX HID bugs.
    
    OSX Screen's relinked against GStreamer SDK universal runtime binaries 2012.9 to restore compatibility.
    PsychHID error handling for Apple and 3rd party driver brokeness improved.
    Matlab compatibility fix by David Brainard for PsychColorimetric/LjgToXYZ.
    Minor cleanups in demos.

commit 9e0d204bbf0fc6103a6f2ef1dc2a22fd0ddfc2ac
Merge: 8464d5e 4b143c9
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed Sep 26 17:00:09 2012 -0700

    Merge pull request #63 from kleinerm/master
    
    Fixes for latest OSX GStreamer SDK 2012.9 and OSX HID bugs.

commit f10d5df4c0d5634ba8bb773e0f5045df6cd5a3a6
Merge: 50feeec 8464d5e
Author: Diederick C. Niehorster <dcnieho@gmail.com>
Date:   Tue Sep 25 14:47:17 2012 +0800

    Merge remote-tracking branch 'upstream/master'

commit 50feeec447987c120a28c90df91f943304a8cc12
Merge: 3a0a760 361f146
Author: Diederick C. Niehorster <dcnieho@gmail.com>
Date:   Tue Sep 18 10:45:30 2012 +0800

    Merge remote-tracking branch 'upstream/master'

commit fde2c3f5e00dabd27fc83356659f8099c78c585f
Merge: 98fda1f 361f146
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon Sep 17 11:44:02 2012 -0700

    Merge pull request #61 from Psychtoolbox-3/master
    
    "Broken Windows" release: Post-Release bugfix for NVidia gpu driver bug.

commit 361f146b11cb748a587bc8c397db37af30c14160
Merge: f13cb53 5df1ea3
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon Sep 17 11:41:38 2012 -0700

    Merge pull request #60 from kleinerm/master
    
    Bugfix for NVidia gpu driver bug.

commit 5826d8c8cf1b8394c676b375966b6d344441d096
Merge: 74a42ff f13cb53
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun Sep 16 17:21:53 2012 -0700

    Merge pull request #7 from Psychtoolbox-3/master
    
    Merge state of Psychtoolbox-3 master after the "Broken Windows" beta release.

commit f13cb53d894193272b241a99120f0be867e780aa
Merge: 7e56052 98fda1f
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun Sep 16 17:19:44 2012 -0700

    Merge pull request #58 from Psychtoolbox-3/beta
    
    Merge pull request #57 from Psychtoolbox-3/master

commit 98fda1fd22bcbde64b987eababe7422f6007cf26
Merge: 92809a3 c365727
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sat Sep 15 01:08:42 2012 -0700

    Merge pull request #57 from Psychtoolbox-3/master
    
    PTB BETA RELEASE "Broken Windows"
    
    This is PTB BETA "Broken Windows"
    
    Highlights:
    
    64-Bit Matlab support for Microsoft Windows added.
    32-Bit Octave support for OSX removed, 64-Bit Octave 3.6 support for OSX added.
    Octave support for Windows removed.
    Quicktime support for Windows removed.
    GStreamer support for 32-Bit Matlab on OSX added.
    
    Massive movie playback performance and functionality improvements for GStreamer based movie playback engine. Some perf. improvements for videocapture engine, and basic GeniCam/GigE video capture support.
    
    Support for GL_TEXTURE_2D textures as rendertargets (e.g., Offscreen windows and 'TransformTexture' etc.) -- For improved OpenGL interop with 3rd party OpenGL code. Non-power-of-two texture support. Mipmap filtering support and demos for efficient blurring via gpu accelerated resolution pyramids.
    
    Linux: Windowed window support and GUI window support brought to same level of functionality and behaviour as on OSX.
    
    Various improvements and bug fixes.
    
    PsychtoolboxKernelDriver on OSX now supports Intel IGP's as well.
    Hybrid graphics dual-gpu configs now supported on OSX for our low-level code.

commit c3657271d3057c2f9d3ac218e0cea6715a086d98
Merge: 0024746 74a42ff
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sat Sep 15 00:56:28 2012 -0700

    Merge pull request #56 from kleinerm/master
    
    Final merge for the "Broken Windows" release.

commit 0024746b50401bcfe70578228792a3cdbc2ae99e
Merge: 5467b30 09b206c
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Thu Sep 13 20:03:50 2012 -0700

    Merge pull request #55 from kleinerm/master
    
    Linux and Windows (almost) finalize.

commit 5467b30d9c0579ee3e397021881da605b28865f6
Merge: 2ddc46c 2f16cbe
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue Sep 11 07:33:39 2012 -0700

    Merge pull request #53 from kleinerm/master
    
    Update Datapixx support and 32-Bit Matlab support for Windows.

commit 2ddc46c588eb23fb17b7f920aca78db338a02cb0
Merge: 6f9dc61 a8e08e7
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Sep 7 08:58:39 2012 -0700

    Merge pull request #52 from kleinerm/master
    
    Fix Snd() - Next try.

commit 6f9dc61c9d7931d6336e663543b86c15a5ab76cb
Merge: 18e3157 a52e4e7
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Thu Sep 6 10:02:55 2012 -0700

    Merge pull request #51 from kleinerm/master
    
    Snd() fix, 64-Bit mex files for Octave/Matlab on OSX/Linux rebuilt. 32-Bit Matlab mex files for OSX rebuilt. Add GStreamer support to 32-Bit PTB on OSX.
    Transition to new build system for 32-Bit PTB: Tiger --> Leopard.

commit 18e3157337caf29fe1dab4fed520ec27ad88b32d
Merge: 4212c60 77862e1
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed Sep 5 09:03:30 2012 -0700

    Merge pull request #50 from kleinerm/master
    
    Fix some demos and functions, add 64-Bit Octave on OSX support, render to GL_TEXTURE_2D and NPOT texture support, mip-map image pyramids for blurring, various enhancements to Screen, pnet etc.

commit a5d88008b07efb0e5fb3ef3f9196f2f70d5d1ba0
Merge: 0ddf3e1 e32842b
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun Aug 19 16:45:41 2012 -0700

    Merge pull request #48 from kleinerm/master
    
    Fixes to monitor calibration.

commit a2526d9b4b59e3413001844d6595f2952e0ee892
Merge: aba9f1d 98c26ef
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sat Aug 18 11:19:27 2012 -0700

    Merge pull request #47 from kleinerm/master
    
    Push current state to master for wider exposure

commit 641ea08e7ac7134e4fcf1fc679abfa7c3d4ae8c9
Merge: 2a1fc95 12abed4
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue Aug 7 02:08:51 2012 +0200

    Merge commit '12abed4'

commit 3a0a760068134a84eafbb66434acf601e946a430
Merge: 5f7ad1a aad9eb5
Author: Diederick C. Niehorster <dcnieho@gmail.com>
Date:   Mon Jul 30 20:49:13 2012 +0800

    Merge remote-tracking branch 'upstream/master'

commit aad9eb5ac59354f235246be2bd3fe52adbf3ffb8
Merge: 3fa7180 2ecd234
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Thu Jul 26 17:55:55 2012 -0700

    Merge pull request #34 from towolf/docs-wikify-fixes
    
    Minor fixes to PTB-wikify script

commit 3fa71809d33e0d37f724797a8bdf8a598d80737c
Merge: 41eba51 c2def97
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Thu Jul 26 17:52:25 2012 -0700

    Merge pull request #43 from dcnieho/remove_legacy
    
    removing unnecessary if statement from FindSerialPort

commit 41eba51b5cabd96f4b9c633d98d0ee5deba44e41
Merge: 429500c f13d4c5
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed Jul 25 06:58:19 2012 -0700

    Merge pull request #41 from dcnieho/remove_legacy
    
    Remove legacy

commit 429500ca723e9219e6c0f7b2ae7bbcf5a1386fc8
Merge: 49e688d 63f0d48
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue Jul 24 11:15:22 2012 -0700

    Merge pull request #42 from kleinerm/master
    
    Various Linux multi-display fixes and other enhancements for Screen(), also on OSX.

commit 5f7ad1a5b5d028c8112e8f9f2a8247b5d9ebab31
Merge: cd26691 23b05fb
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sat Jul 21 15:50:06 2012 -0700

    Merge pull request #33 from kleinerm/master
    
    Pull half-finished stuff into master so everybody is on the same plate.

commit 777af64e7bbe05d75b89b29e1b3ca57c6191cd5e
Merge: 4222dca 57766c0
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed Jul 11 01:48:52 2012 +0200

    Merge branch 'qtwinremoval'

commit 1ba96107617eb23e557f22caa912f711de145c9c
Merge: 736ae4a 83967bf
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun Jul 1 02:28:38 2012 +0200

    Merge branch 'master' of https://github.com/Psychtoolbox-3/Psychtoolbox-3

commit 736ae4a8e41485aac73ea81ac440ef4a537aae49
Merge: 41d35bf 2b66162
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sat Jun 30 17:19:15 2012 -0700

    Merge pull request #5 from kleinerm/gstreameroptimization
    
    Merge branch Gstreameroptimization into master

commit 83967bfbd6a92193bdb8ffbe4829656bbec968bd
Merge: d10083e 06dfd2a
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Jun 29 11:37:07 2012 -0700

    Merge pull request #32 from dcnieho/small_enhancements_m
    
    added unit tests, other enhancements

commit d10083e7f5e96729a58a104b1ccbb03aa02d362b
Merge: 388ec8a 0bcc55a
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Jun 29 11:17:39 2012 -0700

    Merge pull request #30 from dcnieho/changes_to_core
    
    Various edits of core functionality

commit 388ec8a3205e4ed0a275b28838478bff962b9347
Merge: 5de8f40 f1576b4
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Jun 29 11:03:11 2012 -0700

    Merge pull request #29 from dcnieho/master
    
    shut up line ending issues once and for all

commit 5de8f40ade36610c4e7e8d6df4187be8bf62376a
Merge: 44d9e78 475e86d
Author: Diederick C. Niehorster <dcnieho@gmail.com>
Date:   Tue Jun 5 22:50:36 2012 -0700

    Merge pull request #25 from dcnieho/master
    
    pull removed unneeded rmpath()

commit 44d9e783b17dcd526d455c0a9de1d32672108e25
Merge: 758e1ab da42316
Author: Diederick C. Niehorster <dcnieho@gmail.com>
Date:   Tue Jun 5 22:47:01 2012 -0700

    Merge pull request #22 from dcnieho/master
    
    more line ending conversions?

commit da42316de8bf0632785121d58266b8708e30e059
Merge: 0b11f37 758e1ab
Author: Diederick C. Niehorster <dcnieho@gmail.com>
Date:   Wed Jun 6 13:43:57 2012 +0800

    Merge remote-tracking branch 'upstream/master'

commit 758e1abc8c38e11ff6d9fbad2e4566a4893802e5
Merge: 426494b d134542
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue Jun 5 19:22:58 2012 -0700

    Merge pull request #24 from kleinerm/master
    
    Screen 32-Bit for Matlab OSX rebuilt.

commit 426494ba7d34ee9b76dbf3ab3a4351d0d8e37547
Merge: 44e6cc6 eb14582
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue Jun 5 16:28:47 2012 -0700

    Merge pull request #23 from kleinerm/master
    
    Fix build directory structure. Add workaround for more osx brokeness

commit 2128e3f7caba434d3a879513c145b8513024d997
Merge: 3125eae 44e6cc6
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon Jun 4 22:39:44 2012 +0200

    Merge branch 'master' of https://github.com/Psychtoolbox-3/Psychtoolbox-3

commit 44e6cc6be594b1f926bfdffa8207a9bda4e4dd70
Merge: e53d64b a074f0b
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon Jun 4 08:47:44 2012 -0700

    Merge pull request #21 from dcnieho/master
    
    CR+LF to LF conversions for various files with wrong line endings.

commit e53d64b2ef6a73a41129fc5a5dfff52ced4f1a93
Merge: 2d1529d e8d61ef
Author: Diederick C. Niehorster <dcnieho@gmail.com>
Date:   Sun Jun 3 22:44:29 2012 -0700

    Merge pull request #20 from dcnieho/e8d61ef0839e4ae9c984c0b5764acb031376c973
    
    crlf to lf matlab function added

commit 2d1529d0662dbc3f2a38537d6921e0fbfbd67022
Merge: a38c619 971a4db
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sat Jun 2 17:36:33 2012 -0700

    Merge pull request #19 from dcnieho/master
    
    updated ignores (testing...)

commit 3125eaefbabc3254680e7929292bf7760ae93208
Merge: 4cb1a13 a38c619
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Jun 1 17:07:54 2012 -0700

    Merge pull request #4 from Psychtoolbox-3/master
    
    Sync with ptb master: Psychtoolbox 3.0.10

commit a38c6190cd0ff03351b3b349f43cea1c70081903
Merge: a82ba99 92809a3
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Jun 1 17:06:11 2012 -0700

    Merge pull request #18 from Psychtoolbox-3/beta
    
    Merge pull request #17 from Psychtoolbox-3/master

commit 92809a33c1ce0e4149ffc91ea91ec0674172e81e
Merge: 679b5d7 a82ba99
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Jun 1 10:36:45 2012 -0700

    Merge pull request #17 from Psychtoolbox-3/master
    
    "Rotten Apples" V 3.0.10 release.

commit a82ba99c798ec57615607f8fb55ce917be105069
Merge: 27e585d 4cb1a13
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Fri Jun 1 10:34:58 2012 -0700

    Merge pull request #16 from kleinerm/master
    
    Last prerelease fixes for 3.0.10.

commit db25e3a6eca646fc8c1b92a3d40699afcfaf394d
Merge: 5f9ef4a 679b5d7
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed May 30 20:48:23 2012 -0700

    Merge pull request #15 from Psychtoolbox-3/beta
    
    Merge pull request #14 from Psychtoolbox-3/master

commit 679b5d7190627cce90acde2999d9ca1050333be9
Merge: 21ecb66 5f9ef4a
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed May 30 20:47:18 2012 -0700

    Merge pull request #14 from Psychtoolbox-3/master
    
    "Rotten Apples" release, next try.

commit 5f9ef4ade055c103be5857b3651b93e8f9b80165
Merge: 6aecf47 7c29841
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Wed May 30 20:45:34 2012 -0700

    Merge pull request #13 from kleinerm/master
    
    Fix 10.5 Leopard support for 64-Bit PTB - 1st try.

commit 5af7f3938c36fb7bb23eae859ccfc7a7b861aaa3
Merge: 6137ed0 6aecf47
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue May 29 18:23:41 2012 -0700

    Merge pull request #3 from Psychtoolbox-3/master
    
    Sync kleinerm master to master at initial 3.0.10 "Rotten Apples" release.

commit 6aecf47d8b5371c6d5a1beaf62567454b672b0b2
Merge: 518c4ca 21ecb66
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue May 29 18:16:01 2012 -0700

    Merge pull request #12 from Psychtoolbox-3/beta
    
    Beta -> Master sync.

commit 21ecb66c5bd25dfd2f3c20419a9688105bfbc7a8
Merge: 3c4948a 518c4ca
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue May 29 17:52:30 2012 -0700

    Merge pull request #11 from Psychtoolbox-3/master
    
    Psychtoolbox 3.0.10 initial beta release "Rotten Apples"
    
    The first beta release, named "Rotten Apples", adds support for 64-Bit Matlab under Apple MacOSX.
    
    The minimum required OSX version for the 32-Bit Psychtoolbox is 10.4.11 "Tiger".
    The minimum required OSX version for the 64-Bit Psychtoolbox is 10.5.8 "Leopard".
    The recommended OSX version for full functionality with the 64-Bit Psychtoolbox is 10.6 "Snow Leopard".
    
    The minimum required Matlab version for all platforms is now V7.4 aka R2007a.
    Use of Psychtoolbox with MacOSX on Apple PowerPC computers is no longer supported.
    MS-Windows 2000 is no longer maintained or tested for compatibility.
    Some legacy features were removed.

commit 518c4ca56271266a89dd7f1c274710b56684ac55
Merge: bbd9ff7 6137ed0
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue May 29 16:49:19 2012 -0700

    Merge pull request #10 from kleinerm/master
    
    Pull legacy downloader and probably last fixes for 3.0.10 release.

commit bbd9ff76a98413446438cce36a554020da091219
Merge: 2dc4064 1270454
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue May 29 15:14:38 2012 -0700

    Merge pull request #9 from kleinerm/master
    
    Pull Davids final commits from 3.0.9 into 3.0.10

commit 127045402e443bfe0c9fce217361590b69e6a174
Merge: 3c29811 5defb37
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Tue May 29 23:45:39 2012 +0200

    Merge branch 'master' of github.com:kleinerm/Psychtoolbox-3

commit 3c4948a10cfa0afab1840961b48f4a2462f70f73
Merge: 958f530 2dc4064
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon May 28 17:31:47 2012 -0700

    Merge pull request #8 from Psychtoolbox-3/master
    
    Beta update: Update downloader.

commit 2dc4064ef4a897968a783cce82312571533d3c1b
Merge: 5a85249 5defb37
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon May 28 17:28:31 2012 -0700

    Merge pull request #7 from kleinerm/master
    
    Pull: Remove downloadmethod parameter from DownloadPsychtoolbox.m

commit 958f530abdc395de80a2f5cb4f5b9cc852237093
Merge: 9423880 5a85249
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon May 28 15:22:12 2012 -0700

    Merge pull request #6 from Psychtoolbox-3/master
    
    V 3.0.10 - Beta test update 1

commit 5a85249c1d8ed5158bb195401ca4ed87a6737ad5
Merge: 9423880 f5ac9f9
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Mon May 28 15:19:44 2012 -0700

    Merge pull request #5 from kleinerm/master
    
    Pull the 3.0.10 RC5 with some more removal of old cruft.

commit 9423880fb331d20beb91d86788e57e69d9e15426
Merge: 5f82e14 28a6f31
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun May 27 22:41:26 2012 -0700

    Merge pull request #4 from kleinerm/master
    
    Pull the 3.0.10 RC4 with some Apple brain damage removed.

commit 5f82e143cfc72a64c9c8eb4a6edc74e7a070e33a
Merge: 2518639 e713cec
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun May 27 22:23:16 2012 -0700

    Merge pull request #3 from kleinerm/master
    
    Pull the 3.0.10 RC3 with some bug fix to PsychJava installation.

commit 25186394b2bbdcf08252ac85c57663147b353154
Merge: 3779a4d fc7944e
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun May 27 21:53:35 2012 -0700

    Merge pull request #2 from kleinerm/master
    
    Pull the 3.0.10 RC2 with some critical bug fixes to installation.

commit 3779a4da4073c0493fe02a83570c9da0d4aae8a8
Merge: 7a701d5 5239aca
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun May 27 19:37:13 2012 -0700

    Merge pull request #1 from kleinerm/master
    
    Pull the 3.0.10 RC1 with 64-Bit OSX support and removed legacy Matlab and PowerPC support.

commit fee85f6e3592a2ed4703d1c0d48e55d2a5373b77
Merge: 7a701d5 10dfbdc
Author: Mario Kleiner <mario.kleiner@tuebingen.mpg.de>
Date:   Sun May 27 22:19:35 2012 +0200

    Merge branch 'osx64bit'
